(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 5.0'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[    174814,       4703]*)
(*NotebookOutlinePosition[    175457,       4725]*)
(*  CellTagsIndexPosition[    175413,       4721]*)
(*WindowFrame->Normal*)



Notebook[{
Cell["Antal Mikl\[OAcute]s (HQ5T4A) TTK 5.\[EAcute]vf.", "Text"],

Cell[CellGroupData[{

Cell["\<\
Differenci\[AAcute]legyenletek szimmetri\[AAcute]j\[AAcute]nak \
vizsg\[AAcute]lata a Mathematica YaLie programcsomagj\[AAcute]nak felhaszn\
\[AAcute]l\[AAcute]s\[AAcute]val\
\>", "Title"],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[
    StyleBox[\(I . \ Bevezet\[EAcute]s\),
      "Subtitle"]], "Input"]], "Section"],

Cell["\<\
A differenci\[AAcute]legyenletek szimmetri\[AAcute]inak vizsg\[AAcute]lata sz\
\[AAcute]mos alkalmaz\[AAcute]s szempontj\[AAcute]b\[OAcute]l \
k\[ODoubleDot]zponti jelent\[ODoubleAcute]s\[EAcute]g\[UDoubleAcute]. Szinte \
b\[AAcute]rmely differenci\[AAcute]legyenletekkel le\[IAcute]rt fizikai \
folyamat eset\[EAcute]ben felmer\[UDoubleDot]l a k\[EAcute]rd\[EAcute]s, hogy \
a le\[IAcute]rand\[OAcute] rendszer szimmetri\[AAcute]i hogyan \
t\[UDoubleDot]kr\[ODoubleDot]z\[ODoubleAcute]dnek a rendszert jellemz\
\[ODoubleAcute] egyenletekben. Szint\[EAcute]n \[EAcute]rdekes k\[EAcute]rd\
\[EAcute]s, hogy milyen felt\[EAcute]telekkel alkalmazhat\[OAcute]k azonos \
egyenletek k\[UDoubleDot]l\[ODoubleDot]nb\[ODoubleDot]z\[ODoubleAcute] \
rendszerek le\[IAcute]r\[AAcute]s\[AAcute]ra. Ha v\[AAcute]laszt tudunk adni \
ezekre a k\[EAcute]rd\[EAcute]sekre, akkor egyr\[EAcute]szt \
k\[ODoubleDot]zelebb ker\[UDoubleDot]l\[UDoubleDot]nk a fizikai \
probl\[EAcute]m\[AAcute]k megfelel\[ODoubleAcute] matematikai \
\[EAcute]rtelmez\[EAcute]s\[EAcute]hez, m\[AAcute]sr\[EAcute]szt \
sz\[AAcute]mos \[UAcute]j lehet\[ODoubleAcute]s\[EAcute]g ny\[IAcute]lik meg \
egyenleteink alkalmaz\[AAcute]s\[AAcute]ra. (Adott geometria eset\[EAcute]n \
\[UAcute]j megold\[AAcute]sokat tal\[AAcute]lhatunk, illetve adott megold\
\[AAcute]sokat alkalmazhatunk elt\[EAcute]r\[ODoubleAcute] geometriai felt\
\[EAcute]telek eset\[EAcute]n.)
Ezekkel a probl\[EAcute]m\[AAcute]kkal els\[ODoubleAcute]k\[EAcute]nt Sophus \
Lie foglalkozott igaz\[AAcute]n eredm\[EAcute]nyesen. Munk\[AAcute]ja sor\
\[AAcute]n kidolgozott egy elk\[EAcute]peszt\[ODoubleAcute]en \
hat\[EAcute]kony matematikai eszk\[ODoubleDot]zt\[AAcute]rat, ami egyben a \
modern csoportelm\[EAcute]let megsz\[UDoubleDot]let\[EAcute]s\[EAcute]t is \
jelentette. A k\[EAcute]s\[ODoubleAcute]bbiek sor\[AAcute]n sz\[AAcute]mos \
alkalmaz\[AAcute]si lehet\[ODoubleAcute]s\[EAcute]get fejlesztettek ki a \
kutat\[OAcute]k, de napjainkig maradtak olyan ter\[UDoubleDot]letek, ahol \
jelent\[ODoubleAcute]sen jav\[IAcute]thatja m\[OAcute]dszereink \
hat\[EAcute]konys\[AAcute]g\[AAcute]t a csoportelm\[EAcute]let alkalmaz\
\[AAcute]sa egyes differenci\[AAcute]legyenletekre. Az alkalmaz\[AAcute]sok \
elterjed\[EAcute]s\[EAcute]t g\[AAcute]tolj\[AAcute]k az elm\[EAcute]let meg\
\[EAcute]rt\[EAcute]s\[EAcute]hez sz\[UDoubleDot]ks\[EAcute]ges komoly er\
\[ODoubleAcute]fesz\[IAcute]t\[EAcute]sek.
Ez a munka azt a c\[EAcute]lt szolg\[AAcute]lja, hogy az elm\[EAcute]leti \
alapok le\[IAcute]r\[AAcute]sa (II. r\[EAcute]sz) [1] ut\[AAcute]n \
bemutassunk a modern sz\[AAcute]m\[IAcute]t\[OAcute]g\[EAcute]pi programokkal \
el\[EAcute]rhet\[ODoubleAcute]v\[EAcute] v\[AAcute]lt alkalmaz\[AAcute]sok k\
\[ODoubleDot]z\[UDoubleDot]l n\[EAcute]h\[AAcute]nyat, melyek \
eset\[EAcute]ben a Mathematica YaLie programcsomagj\[AAcute]t \
haszn\[AAcute]ljuk. A m\[OAcute]dszerek nyomonk\[ODoubleDot]vethet\
\[ODoubleAcute]s\[EAcute]g\[EAcute]nek \[EAcute]rdek\[EAcute]ben a konkr\
\[EAcute]t alkalmaz\[AAcute]sok el\[ODoubleAcute]tt v\[AAcute]zoljuk a h\
\[AAcute]tt\[EAcute]rben fut\[OAcute] mechanizmusok l\[EAcute]nyeg\[EAcute]t \
(III. pont) [2], majd egy egyszer\[UDoubleAcute] p\[EAcute]ld\[AAcute]n \
megmutatjuk a felhaszn\[AAcute]lt m\[OAcute]dszert \[EAcute]s annak egyes l\
\[EAcute]p\[EAcute]seit (IV. pont), v\[EAcute]g\[UDoubleDot]l n\[EAcute]h\
\[AAcute]ny reaktorfizikai alkalmaz\[AAcute]st mutatunk (V. pont) [3] \
\[EAcute]s r\[ODoubleDot]viden \[ODoubleDot]sszefoglaljuk munk\[AAcute]nk l\
\[EAcute]nyeg\[EAcute]t (VI. pont).
\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[
    FormBox[
      StyleBox[\(II . \ Elm\[EAcute]leti\ \[ODoubleDot]sszefoglal\[OAcute]\),
        "Subtitle"], TraditionalForm]]]], "Section"],

Cell[CellGroupData[{

Cell["1. Seg\[EAcute]dfogalmak", "Subsection"],

Cell["\<\
Az alapprobl\[EAcute]ma megfogalmaz\[AAcute]s\[AAcute]hoz \
n\[EAcute]h\[AAcute]ny seg\[EAcute]dfogalom bevezet\[EAcute]s\[EAcute]re \
\[EAcute]s el\[ODoubleAcute]zetes sz\[AAcute]m\[IAcute]t\[AAcute]sokra van sz\
\[UDoubleDot]ks\[EAcute]g.\
\>", "Text"],

Cell[TextData[{
  "a.) Infinitezim\[AAcute]lis gener\[AAcute]tor: Egy folytonos csoport egy \
elem\[EAcute]nek hat\[AAcute]s\[AAcute]t mutatja infinitezim\[AAcute]lis \
transzform\[AAcute]ci\[OAcute] eset\[EAcute]n: ",
  Cell[BoxData[
      \(TraditionalForm\`\(\(v\+_\)\( \[VerticalSeparator] \_x\)\) = \
\[Sum]\+i \[Xi]\_i\[CenterDot]\[PartialD]\/\[PartialD]x\_i\)]],
  ". Ennek szeml\[EAcute]letesen egy vektort\[EAcute]rk\[EAcute]p feleltethet\
\[ODoubleAcute] meg, mely azt mutatja, hogy a t\[EAcute]r egyes \
pontj\[AAcute]b\[OAcute]l (ezt r\[ODoubleDot]gz\[IAcute]ti az ",
  Cell[BoxData[
      \(TraditionalForm\`x\)]],
  ") a csoportelem hova transzform\[AAcute]lja az adott pontot. A vektor \
komponensei a ",
  Cell[BoxData[
      \(TraditionalForm\`\[Xi]\_i\)]],
  " egy\[UDoubleDot]tthat\[OAcute]k, a m\[ODoubleDot]g\[ODoubleDot]tt\
\[UDoubleDot]k \[AAcute]ll\[OAcute] deriv\[AAcute]l\[OAcute] oper\[AAcute]tor \
pedig mutatja, hogy melyik ir\[AAcute]ny\[UAcute] komponensr\[ODoubleAcute]l \
van sz\[OAcute]. (A szumm\[AAcute]ban szerepl\[ODoubleAcute] oper\[AAcute]tor \
nem jelent teh\[AAcute]t val\[OAcute]di deriv\[AAcute]l\[AAcute]st, mind\
\[ODoubleDot]ssze kiv\[AAcute]lasztja az ir\[AAcute]nyt, amikor egy pontra \
hattatjuk az infinitezim\[AAcute]lis gener\[AAcute]tort.)\nEzzel a defin\
\[IAcute]ci\[OAcute]val: ",
  Cell[BoxData[
      \(TraditionalForm\`\(exp(\(\[CurlyEpsilon] 
                 v\+_\)\( \[VerticalSeparator] \_x\))\) x = 
        x + \[CurlyEpsilon]\[CenterDot]\[Xi]\+_\)]],
  ", ha a sorfejt\[EAcute]snek csak az els\[ODoubleAcute] k\[EAcute]t tagj\
\[AAcute]t tartjuk meg. C\[EAcute]lszer\[UDoubleAcute] a tov\[AAcute]bbiakban \
az infinitezim\[AAcute]lis gener\[AAcute]torra mindig \[IAcute]gy gondolni.\n\
Ha a t\[EAcute]ren \[EAcute]rtelmezve van egy f\[UDoubleDot]ggv\[EAcute]ny, \
akkor k\[EAcute]t k\[ODoubleDot]zeli pontban felvett \[EAcute]rt\[EAcute]k az \
esetek nagy r\[EAcute]sz\[EAcute]ben a Taylor sorral kapcsolhat\[OAcute] \
\[ODoubleDot]ssze. Ha be\[IAcute]rjuk ide az el\[ODoubleAcute]bb kapott k\
\[EAcute]pletet, akkor a k\[ODoubleDot]vetkez\[ODoubleAcute] ad\[OAcute]dik: \
",
  Cell[BoxData[
      \(TraditionalForm\`f(\(exp(\[CurlyEpsilon]  v\+_)\) x) = \(f(
            x + \[CurlyEpsilon]\[CenterDot]\[Xi]\+_) = \(\(\(f(
                  x) + \[CurlyEpsilon]\[CenterDot]\[Xi]\_i\[CenterDot]\(\[Sum]\
\+i\[PartialD]f\/\[PartialD]x\_i\)\)\( \[VerticalSeparator] \_x\)\) = 
            f(x) + \[CurlyEpsilon][\(v\+_\)(f)] \((x)\)\)\)\)]],
  " \[CapitalIAcute]gy \[EAcute]rtelmezhet\[ODoubleAcute] teh\[AAcute]t az \
infinitezim\[AAcute]lis gener\[AAcute]tor f\[UDoubleDot]ggv\[EAcute]nyre \
alkalmazott form\[AAcute]ja.\n"
}], "Text"],

Cell[TextData[{
  "b.) F\[UDoubleDot]ggetlen v\[AAcute]ltoz\[OAcute]k tere: ",
  Cell[BoxData[
      \(TraditionalForm\`X\)]]
}], "Text"],

Cell[TextData[{
  "c.) F\[UDoubleDot]gg\[ODoubleAcute] v\[AAcute]ltoz\[OAcute]k tere: ",
  Cell[BoxData[
      \(TraditionalForm\`U\)]]
}], "Text"],

Cell[TextData[{
  "d.) A f\[UDoubleDot]gg\[ODoubleAcute] \[EAcute]s f\[UDoubleDot]ggetlen v\
\[AAcute]ltoz\[OAcute]k mellett a f\[UDoubleDot]gg\[ODoubleAcute] \
v\[AAcute]ltoz\[OAcute]k b\[AAcute]rmilyen kombin\[AAcute]ci\[OAcute]ban el\
\[ODoubleAcute]\[AAcute]ll\[OAcute] n-edik deriv\[AAcute]ltjait is tartalmaz\
\[OAcute] tere ",
  Cell[BoxData[
      \(TraditionalForm\`X\[Times]U\^\((n)\)\)]],
  ".\n"
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["2. Algebrai egyenletek vizsg\[AAcute]lata", "Subsection"],

Cell["\<\
C\[EAcute]lszer\[UDoubleAcute] els\[ODoubleAcute] l\[EAcute]p\[EAcute]sben az \
algebrai egyenletekre vonatkoz\[OAcute]an megfogalmazni a bevezet\
\[ODoubleAcute]ben feltett k\[EAcute]rd\[EAcute]seket.\
\>", "Text"],

Cell[TextData[{
  "Defin\[IAcute]ci\[OAcute]: Egy tetsz\[ODoubleAcute]leges ",
  Cell[BoxData[
      \(TraditionalForm\`M\)]],
  " t\[EAcute]r eset\[EAcute]n azt mondjuk, hogy ",
  Cell[BoxData[
      \(TraditionalForm\`\(M\^'\) \[Element] M\ \ G\)]],
  "-invari\[AAcute]ns \[EAcute]s ",
  Cell[BoxData[
      \(TraditionalForm\`G\)]],
  " szimmetria csoportja ",
  Cell[BoxData[
      \(TraditionalForm\`\(M\^'\)\)]],
  "-nek, ha minden ",
  Cell[BoxData[
      \(TraditionalForm\`x \[Element] \(M\^'\)\)]],
  "-re \[EAcute]s ",
  Cell[BoxData[
      \(TraditionalForm\`g \[Element] G\)]],
  "-re ",
  Cell[BoxData[
      \(TraditionalForm\`g(x) \[Element] \(M\^'\)\)]],
  "."
}], "Text"],

Cell[TextData[{
  "Defin\[IAcute]ci\[OAcute]: Egy tetsz\[ODoubleAcute]leges ",
  Cell[BoxData[
      \(TraditionalForm\`M \[RightArrow] N\)]],
  "f\[UDoubleDot]ggv\[EAcute]ny ",
  Cell[BoxData[
      \(TraditionalForm\`G\)]],
  " invari\[AAcute]ns, ha ",
  Cell[BoxData[
      \(TraditionalForm\`F(g(x)) = F(x)\)]],
  "minden ",
  Cell[BoxData[
      \(TraditionalForm\`x\)]],
  "-re \[EAcute]s ",
  Cell[BoxData[
      \(TraditionalForm\`g\)]],
  "-re."
}], "Text"],

Cell[TextData[{
  "T\[EAcute]tel: Egy ",
  Cell[BoxData[
      \(TraditionalForm\`F : M \[RightArrow] R\^l\)]],
  " invari\[AAcute]ns f\[UDoubleDot]ggv\[EAcute]ny akkor \[EAcute]s csak \
akkor, ha minden ",
  Cell[BoxData[
      \(TraditionalForm\`F(x) = \(\(const\)\(.\)\)\)]],
  "halmaz ",
  Cell[BoxData[
      \(TraditionalForm\`G\)]],
  "-invari\[AAcute]ns."
}], "Text"],

Cell[TextData[{
  "T\[EAcute]tel: Egy ",
  Cell[BoxData[
      \(TraditionalForm\`F : M \[RightArrow] R\)]],
  " f\[UDoubleDot]ggv\[EAcute]ny akkor ",
  Cell[BoxData[
      \(TraditionalForm\`G\)]],
  "-invari\[AAcute]ns, ha ",
  Cell[BoxData[
      \(TraditionalForm\`\(v\+_\)(F) = 0\)]],
  " minden csoportelemhez tartoz\[OAcute] ",
  Cell[BoxData[
      \(TraditionalForm\`v\+_\)]],
  "-re."
}], "Text"],

Cell[TextData[{
  "T\[EAcute]tel: Egy algebrai egyenletrendszer f\[ODoubleDot]l\[IAcute]rhat\
\[OAcute] ",
  Cell[BoxData[
      \(TraditionalForm\`F : X \[RightArrow] R\^l\)]],
  " alakban. ",
  Cell[BoxData[
      \(TraditionalForm\`G\)]],
  "-szimmetria csoportja a rendszernek, ha ",
  Cell[BoxData[
      \(TraditionalForm\`\(v\+_\)(\(F\_\[Nu]\)(x)) = 0\)]],
  " minden ",
  Cell[BoxData[
      \(TraditionalForm\`v\+_\)]],
  "-re \[EAcute]s \[Nu]-re azon ",
  Cell[BoxData[
      \(TraditionalForm\`x\)]],
  "-ekre, ahol ",
  Cell[BoxData[
      \(TraditionalForm\`F(x) = 0\)]],
  ". \[CapitalIAcute]gy a megold\[AAcute]sok tere invari\[AAcute]ns, vagyis \
egy megold\[AAcute]s egy m\[AAcute]sik megold\[AAcute]sba \
transzform\[AAcute]l\[OAcute]dik a csoportelem hat\[AAcute]sa alatt. (Ezt \
csak a megold\[AAcute]sok eset\[EAcute]ben k\[ODoubleDot]vetelj\[UDoubleDot]k \
meg.)"
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["3. Differenci\[AAcute]legyenletek vizsg\[AAcute]lata", "Subsection"],

Cell[TextData[{
  "Defin\[IAcute]ci\[OAcute]: ",
  Cell[BoxData[
      \(TraditionalForm\`G\)]],
  " szimmetria csoport, ha megold\[AAcute]st megold\[AAcute]sba visz."
}], "Text"],

Cell[TextData[{
  "Defin\[IAcute]ci\[OAcute]: Egy f\[UDoubleDot]ggv\[EAcute]ny n-edik prolong\
\[AAcute]ci\[OAcute]j\[AAcute]nak a f\[UDoubleDot]ggv\[EAcute]ny minden \
lehets\[EAcute]ges m\[OAcute]don k\[EAcute]pzett legfeljebb n-edik deriv\
\[AAcute]ltjaib\[OAcute]l \[AAcute]ll\[OAcute] vektort nevezz\[UDoubleDot]k: \
",
  Cell[BoxData[
      \(TraditionalForm\`\(pr\^\((2)\)\) u = \((u, u\_x, u\_y, u\_xx, u\_xy, 
          u\_yy)\)\)]],
  "."
}], "Text"],

Cell[TextData[{
  "\nDefin\[IAcute]ci\[OAcute]. Egy csoportelem prolong\[AAcute]ci\[OAcute]ja \
a k\[ODoubleDot]vetkez\[ODoubleAcute] transzform\[AAcute]ci\[OAcute]t \
jelenti: ",
  Cell[BoxData[
      \(TraditionalForm\`\(pr\^\((n)\)\) \(g : \ \(pr\^\((n)\)\) 
              f \[RightArrow] \(pr\^\((n)\)\) \(f(\(x\&~\))\)\)\)]],
  ". Teh\[AAcute]t a prolong\[AAcute]lt csoportelem a f\[UDoubleDot]ggv\
\[EAcute]nyb\[ODoubleAcute]l \[EAcute]s a deriv\[AAcute]ltf\[UDoubleDot]ggv\
\[EAcute]nyekb\[ODoubleAcute]l el\[ODoubleAcute]\[AAcute]ll\[IAcute]tja az \
eredeti f\[UDoubleDot]ggv\[EAcute]ny transzform\[AAcute]lt v\[AAcute]ltozat\
\[AAcute]t \[EAcute]s (\[UAcute]j koordin\[AAcute]t\[AAcute]k szerinti) deriv\
\[AAcute]ltjait."
}], "Text"],

Cell[TextData[{
  "\nT\[EAcute]tel: Ezekkel a defin\[IAcute]ci\[OAcute]kkal a \
szimmetriacsoport defin\[IAcute]ci\[OAcute]ja f\[ODoubleDot]l\[IAcute]rhat\
\[OAcute]: az ",
  Cell[BoxData[
      \(TraditionalForm\`X\[Times]U\^\((n)\)\)]],
  "t\[EAcute]ren nem v\[AAcute]ltozik a megold\[AAcute]s altere transzform\
\[AAcute]ci\[OAcute] hat\[AAcute]s\[AAcute]ra."
}], "Text"],

Cell[TextData[{
  "\nAnnak \[EAcute]rdek\[EAcute]ben, hogy tudjunk infinitezim\[AAcute]lis \
gener\[AAcute]torokat vizsg\[AAcute]lni a csoportelemek helyett, be kell m\
\[EAcute]g vezetn\[UDoubleDot]nk a vektort\[EAcute]r prolong\[AAcute]ci\
\[OAcute]j\[AAcute]nak fogalm\[AAcute]t.\n\nDefin\[IAcute]ci\[OAcute]: \
Vektort\[EAcute]r prolong\[AAcute]ci\[OAcute]ja: ",
  Cell[BoxData[
      FormBox[
        RowBox[{" ", 
          RowBox[{
            
            StyleBox[\(\(pr\^n\) \(v\+_\) \[VerticalLine]\_\((x, \ \
u\^\((n)\))\)\),
              FontSize->14], 
            StyleBox["=",
              FontSize->14], 
            RowBox[{
              StyleBox[\(d\/d\[CurlyEpsilon]\),
                FontSize->14], \(\[VerticalLine]\_\(\[CurlyEpsilon] = 0\)\), 
              " ", 
              RowBox[{
                TagBox[
                  StyleBox["{",
                    ShowAutoStyles->False],
                  (#&)], \( \(\(pr\^\((n)\)\)[
                    exp(\[CurlyEpsilon]  v\+_)]\) \((x, u\^\((n)\))\)\), 
                "}"}]}]}]}], TraditionalForm]]],
  " k\[EAcute]plet a f\[UDoubleDot]zetb\[ODoubleAcute]l. Ez teh\[AAcute]t egy \
csoportelem prolong\[AAcute]ci\[OAcute]j\[AAcute]nak infinitezim\[AAcute]lis \
gener\[AAcute]tora. Prolong\[AAcute]lt vektorterek elemei f\[ODoubleDot]l\
\[IAcute]rhat\[OAcute]k ",
  Cell[BoxData[
      FormBox[
        RowBox[{
          StyleBox[" ",
            FontSize->12], 
          RowBox[{
            RowBox[{\(\[Sum]\+i\), 
              StyleBox[
                RowBox[{
                  SubscriptBox[
                    StyleBox["\[Xi]",
                      FontSize->14], "i"], 
                  "\[CenterDot]", \(\[PartialD]\/\[PartialD]x\_i\)}],
                FontSize->12]}], 
            StyleBox["+",
              FontSize->12], 
            
            StyleBox[\(\[Sum]\+\[Alpha]\(\[Sum]\+J \[Phi]\_\[Alpha]\%J\
\[CenterDot]\[PartialD]\/\[PartialD]u\_\[Alpha]\%J\)\),
              FontSize->12]}]}], TraditionalForm]]],
  " alakban, ahol ",
  Cell[BoxData[
      \(TraditionalForm\`i\)]],
  "a f\[UDoubleDot]ggetlen, \[Alpha] a f\[UDoubleDot]gg\[ODoubleAcute] v\
\[AAcute]ltoz\[OAcute] indexe, ",
  Cell[BoxData[
      \(TraditionalForm\`J\)]],
  "pedig mutatja, hogy milyen kompoz\[IAcute]ci\[OAcute]ban vett deriv\
\[AAcute]ltr\[OAcute]l van \[EAcute]ppen sz\[OAcute]. "
}], "Text"],

Cell[TextData[{
  "T\[EAcute]tel: Ezt alkalmazva valamilyen ",
  Cell[BoxData[
      \(TraditionalForm\`\(\[CapitalDelta]\_\[Nu]\)(x, u\^\((n)\)) = 
        0, \ \ \[Nu] = 1, 2.  . l\)]],
  " differenci\[AAcute]legyenlet-rendszerre, \[UAcute]j m\[OAcute]don \
megfogalmazott felt\[EAcute]telt kapunk: ",
  Cell[BoxData[
      \(TraditionalForm\`\(pr\^\((n)\)\) 
          v\+_[\(\[CapitalDelta]\_\[Nu]\)(x, u\^\((n)\))] = 0, \ 
      ha\ \ \(\(\[CapitalDelta]\_\[Nu]\)(x, u\^\((n)\))\) = 0, \ \ \[Nu] = 1, 
      2.  . l\ , \ minden\ v\+_\)]],
  "-re.\n\nItt az ismeretlenek az infinitezim\[AAcute]lis \
gener\[AAcute]torban szerepl\[ODoubleAcute] egy\[UDoubleDot]tthat\[OAcute]k, \
ezekre kapunk egy egyenletrendszert, melynek a megold\[AAcute]sa az eredeti \
probl\[EAcute]ma megold\[AAcute]s\[AAcute]n\[AAcute]l sok esetben sokkal \
egyszer\[UDoubleAcute]bb.\nFelhaszn\[AAcute]ljuk, hogy az \
egy\[UDoubleDot]tthat\[OAcute]k egym\[AAcute]sb\[OAcute]l \
sz\[AAcute]rmaztathat\[OAcute]k, majd a rendszert megoldva megkapjuk az \
infinitezim\[AAcute]lis gener\[AAcute]torokat, ez\[AAcute]ltal a \
szimmetriacsoport elemeit. Ha minden egy\[UDoubleDot]tthat\[OAcute]t f\
\[ODoubleDot]l\[IAcute]runk a v\[AAcute]ltoz\[OAcute]k f\[UDoubleDot]ggv\
\[EAcute]nyeik\[EAcute]nt, \[EAcute]s az azonos v\[AAcute]ltoz\[OAcute]khoz \
tartoz\[OAcute] szorz\[OAcute] t\[EAcute]nyez\[ODoubleAcute]ket leolvassuk \
minden komponensb\[ODoubleAcute]l, akkor megkapjuk a lehets\[EAcute]ges \
szimmetria-transzform\[AAcute]ci\[OAcute]kat."
}], "Text"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[
    StyleBox[\(III . \ 
          A\ YaLie\ programcsomag\ m\[UDoubleAcute]k\[ODoubleDot]d\[EAcute]se\
\),
      "Subtitle"]], "Input"]], "Section"],

Cell["\<\
A program m\[UDoubleAcute]k\[ODoubleDot]d\[EAcute]se sor\[AAcute]n az elm\
\[EAcute]leti \[ODoubleDot]sszefoglal\[OAcute]ban v\[AAcute]zolt \
t\[EAcute]telek ker\[UDoubleDot]lnek alkalmaz\[AAcute]sra, alkalmazva az ott \
ismertetett fogalmakat.

A m\[UDoubleAcute]k\[ODoubleDot]d\[EAcute]s a k\[ODoubleDot]vetkez\
\[ODoubleAcute] l\[EAcute]p\[EAcute]sekre oszthat\[OAcute]:

1. Egy n-edrend\[UDoubleAcute] differenci\[AAcute]legyenlet eset\[EAcute]n az \
n-edik prolong\[AAcute]lt infinitezim\[AAcute]lis gener\[AAcute]tor f\
\[ODoubleDot]l\[IAcute]r\[AAcute]sa (a k\[EAcute]pletben nem \
haszn\[AAcute]lunk rekurzi\[OAcute]t) - ekkor m\[EAcute]g ismeretlen egy\
\[UDoubleDot]tthat\[OAcute]kkal
2. Az 1. pontban fel\[IAcute]rt oper\[AAcute]tor (az infinitezim\[AAcute]lis \
gener\[AAcute]tor) alkalmaz\[AAcute]sa minden 0-ra rendezett egyenletre
3. Az eredeti rendszer megold\[AAcute]sa a Solve paranccsal \[UAcute]gy, hogy \
a k\[UDoubleDot]l\[ODoubleDot]nb\[ODoubleDot]z\[ODoubleAcute] \
deriv\[AAcute]ltakat kezelj\[UDoubleDot]k \
v\[AAcute]ltoz\[OAcute]k\[EAcute]nt. Eredm\[EAcute]nyk\[EAcute]nt egy \
\[ODoubleDot]sszef\[UDoubleDot]gg\[EAcute]st kapunk bizonyos \
egy\[UDoubleDot]tthat\[OAcute]k k\[ODoubleDot]z\[ODoubleDot]tt. Ha a Solve \
nem tudja megoldani a rendszert, akkor {} visszat\[EAcute]r\[EAcute]st \
kapunk, \[EAcute]s a LieError::Solve hiba\[UDoubleDot]zenet jelenik meg.
4. Adott a kisz\[AAcute]molt megold\[AAcute]s (egyes egy\[UDoubleDot]tthat\
\[OAcute]k m\[AAcute]sokkal kifejezve). Ebbe \[AAcute]ltal\[AAcute]nos \
megfontol\[AAcute]sok alapj\[AAcute]n bizonyos \
egy\[UDoubleDot]tthat\[OAcute]k kifejezhet\[ODoubleAcute]k \
egy\[UDoubleDot]tthat\[OAcute]k \[EAcute]s deriv\[AAcute]ltak \
line\[AAcute]ris kombin\[AAcute]ci\[OAcute]jak\[EAcute]nt [general \
prolonagation formula]. Visszahelyettes\[IAcute]t\[EAcute]s az eredeti \
egyenletrendszer megold\[AAcute]sain\[AAcute]l (egyes deriv\[AAcute]ltak hely\
\[EAcute]re m\[AAcute]sok be\[IAcute]r\[AAcute]sa).
5. A 4. pontban kapott egyenletet 0-ra rendezve az \[ODoubleDot]sszes k\
\[UDoubleDot]l\[ODoubleDot]nb\[ODoubleDot]z\[ODoubleAcute] deriv\[AAcute]lt \
egy\[UDoubleDot]tthat\[OAcute]j\[AAcute]t 0-val kell egyenl\[ODoubleAcute]v\
\[EAcute] tenni. \[CapitalIAcute]gy megkapjuk az \[ODoubleDot]sszes egy\
\[UDoubleDot]tthat\[OAcute]t meghat\[AAcute]roz\[OAcute] rendszert.
6. Az egyenletrendszer egyszer\[UDoubleAcute]s\[IAcute]t\[EAcute]se.
7. Az egyenletrendszer megold\[AAcute]sa az ismeretlen egy\[UDoubleDot]tthat\
\[OAcute]kra.\
\>", "Text"],

Cell["\<\

8. Ha \[Xi]-re \[EAcute]s \[Phi]-re vonatkoz\[OAcute]an a fenti proced\
\[UAcute]ra eredm\[EAcute]nyek\[EAcute]nt kapunk valamilyen inform\[AAcute]ci\
\[OAcute]t (p\[EAcute]ld\[AAcute]ul bizonyos deriv\[AAcute]ltjaik elt\
\[UDoubleAcute]nnek stb.), akkor ez beadhat\[OAcute] a programnak, \[EAcute]s \
egy k\[ODoubleDot]vetkez\[ODoubleAcute] ugyanilyen futtat\[AAcute]sban (1-7 l\
\[EAcute]p\[EAcute]sek) az egyenletrendszer megold\[AAcute]sakor ezt a \
program figyelembe veszi. \[CapitalIAcute]gy a r\[EAcute]szben megoldott \
rendszerr\[ODoubleAcute]l az inform\[AAcute]ci\[OAcute]t be\[IAcute]rva a \
felt\[EAcute]telek k\[ODoubleDot]z\[EAcute] a rendszer megold\[AAcute]sa \
iterat\[IAcute]v m\[OAcute]don lehets\[EAcute]ges.

Az 1-7 l\[EAcute]p\[EAcute]sek lefuttathat\[OAcute]k egyszerre a YaLie \
parancs seg\[IAcute]ts\[EAcute]g\[EAcute]vel, vagy r\[EAcute]szletekben, az \
egyes l\[EAcute]p\[EAcute]sekre k\[UDoubleDot]l\[ODoubleDot]n parancsokat \
alkalmazva.\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[
    StyleBox[\(IV . \ A\ h\[ODoubleAcute]vezet\[EAcute]si\ egyenlet\),
      "Subtitle"]], "Input"]], "Section"],

Cell[CellGroupData[{

Cell["1. El\[ODoubleAcute]sz\[OAcute]", "Subsection"],

Cell["\<\
A m\[UDoubleAcute]k\[ODoubleDot]d\[EAcute]si mechanizmust egy egyszer\
\[UDoubleAcute] p\[EAcute]ld\[AAcute]n kereszt\[UDoubleDot]l mutatjuk be. \
Egyetlen  m\[AAcute]sodrend\[UDoubleAcute] differenci\[AAcute]legyenletet, a \
h\[ODoubleAcute]vezet\[EAcute]s 1 dimenzi\[OAcute]s egyenlet\[EAcute]t vizsg\
\[AAcute]ljuk. El\[ODoubleAcute]sz\[ODoubleDot]r minden \
l\[EAcute]p\[EAcute]st k\[UDoubleDot]l\[ODoubleDot]n hajtunk v\[EAcute]gre, \
majd alkalmazzuk a programcsomag legfontosabb parancs\[AAcute]t, \[EAcute]s \
ezzel jutunk el j\[OAcute]val gyorsabban ugyanahhoz az eredm\[EAcute]nyhez.\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(\($Path = 
        Append[$Path, \
"\<E:\Dokumentumok\Egyetemi\Diploma\Mathematica\YaLie\>"\ ]\) \
\)\(;\)\(\(SetDirectory["\<E:\Dokumentumok\Egyetemi\Diploma\Mathematica\YaLie\
\>"]\) \)\(;\)\(\(Get["\<YaLie.m\>"]\) \)\(;\)\(\[IndentingNewLine]\)\)\)], \
"Input"],

Cell[BoxData[
    \("                                                     "\)], "Print"],

Cell[BoxData[
    \("====================================================="\)], "Print"],

Cell[BoxData[
    \("                                                     "\)], "Print"],

Cell[BoxData[
    \("                      YaLie                          "\)], "Print"],

Cell[BoxData[
    \("                 Version 2.0 (2000)                  "\)], "Print"],

Cell[BoxData[
    \("                    @ JM D\[IAcute]az                        "\)], \
"Print"],

Cell[BoxData[
    \("             Departamento de Matem\[AAcute]ticas             "\)], \
"Print"],

Cell[BoxData[
    \("                Universidad de C\[AAcute]diz                 "\)], \
"Print"],

Cell[BoxData[
    \("                                                     "\)], "Print"],

Cell[BoxData[
    \("====================================================="\)], "Print"],

Cell[BoxData[
    \("                                                     "\)], "Print"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["2. L\[EAcute]p\[EAcute]sr\[ODoubleAcute]l l\[EAcute]p\[EAcute]sre", \
"Subsection"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Hovezetes = \(\(D[u[x, t], t]\)\(-\)\(D[u[x, t], x, 
          x]\)\(\ \)\( (*Az\ egyenlet\ \(\(megad\[AAcute]sa\)\(.\)\)*) \
\)\)\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{
        SuperscriptBox["u", 
          TagBox[\((0, 1)\),
            Derivative],
          MultilineFunction->None], "[", \(x, t\), "]"}], "-", 
      RowBox[{
        SuperscriptBox["u", 
          TagBox[\((2, 0)\),
            Derivative],
          MultilineFunction->None], "[", \(x, t\), "]"}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(Masodikpr\)\(=\)\(Prolongaci\[OAcute]n[Hovezetes, {u}, {x, t}, 
        2]\)\(\ \)\( (*A\ m\[AAcute]sodik\ prolong\[AAcute]ci\[OAcute]\ \
alkalmaz\[AAcute]sa\ az\ \(\(egyenletre\)\(.\)\)*) \)\)\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{
        RowBox[{
          SuperscriptBox["u", 
            TagBox[\((0, 1)\),
              Derivative],
            MultilineFunction->None], "[", \(x, t\), "]"}], " ", 
        RowBox[{
          SuperscriptBox[\(Phi[1]\), 
            TagBox[\((0, 0, 1)\),
              Derivative],
            MultilineFunction->None], "[", \(x, t, u\), "]"}]}], "-", 
      RowBox[{
        RowBox[{
          SuperscriptBox["u", 
            TagBox[\((2, 0)\),
              Derivative],
            MultilineFunction->None], "[", \(x, t\), "]"}], " ", 
        RowBox[{
          SuperscriptBox[\(Phi[1]\), 
            TagBox[\((0, 0, 1)\),
              Derivative],
            MultilineFunction->None], "[", \(x, t, u\), "]"}]}], "+", 
      RowBox[{
        SuperscriptBox[\(Phi[1]\), 
          TagBox[\((0, 1, 0)\),
            Derivative],
          MultilineFunction->None], "[", \(x, t, u\), "]"}], "-", 
      RowBox[{
        RowBox[{
          SuperscriptBox["u", 
            TagBox[\((1, 0)\),
              Derivative],
            MultilineFunction->None], "[", \(x, t\), "]"}], " ", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{
                SuperscriptBox["u", 
                  TagBox[\((0, 1)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, t\), "]"}], " ", 
              RowBox[{
                SuperscriptBox[\(Xi[1]\), 
                  TagBox[\((0, 0, 1)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, t, u\), "]"}]}], "+", 
            RowBox[{
              SuperscriptBox[\(Xi[1]\), 
                TagBox[\((0, 1, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, t, u\), "]"}]}], ")"}]}], 
      "-", 
      RowBox[{
        RowBox[{
          SuperscriptBox["u", 
            TagBox[\((0, 1)\),
              Derivative],
            MultilineFunction->None], "[", \(x, t\), "]"}], " ", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{
                SuperscriptBox["u", 
                  TagBox[\((0, 1)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, t\), "]"}], " ", 
              RowBox[{
                SuperscriptBox[\(Xi[2]\), 
                  TagBox[\((0, 0, 1)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, t, u\), "]"}]}], "+", 
            RowBox[{
              SuperscriptBox[\(Xi[2]\), 
                TagBox[\((0, 1, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, t, u\), "]"}]}], ")"}]}], 
      "+", 
      RowBox[{"2", " ", 
        RowBox[{
          SuperscriptBox["u", 
            TagBox[\((2, 0)\),
              Derivative],
            MultilineFunction->None], "[", \(x, t\), "]"}], " ", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{
                SuperscriptBox["u", 
                  TagBox[\((1, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, t\), "]"}], " ", 
              RowBox[{
                SuperscriptBox[\(Xi[1]\), 
                  TagBox[\((0, 0, 1)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, t, u\), "]"}]}], "+", 
            RowBox[{
              SuperscriptBox[\(Xi[1]\), 
                TagBox[\((1, 0, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, t, u\), "]"}]}], ")"}]}], 
      "+", 
      RowBox[{"2", " ", 
        RowBox[{
          SuperscriptBox["u", 
            TagBox[\((1, 1)\),
              Derivative],
            MultilineFunction->None], "[", \(x, t\), "]"}], " ", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{
                SuperscriptBox["u", 
                  TagBox[\((1, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, t\), "]"}], " ", 
              RowBox[{
                SuperscriptBox[\(Xi[2]\), 
                  TagBox[\((0, 0, 1)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, t, u\), "]"}]}], "+", 
            RowBox[{
              SuperscriptBox[\(Xi[2]\), 
                TagBox[\((1, 0, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, t, u\), "]"}]}], ")"}]}], 
      "-", 
      RowBox[{
        RowBox[{
          SuperscriptBox["u", 
            TagBox[\((1, 0)\),
              Derivative],
            MultilineFunction->None], "[", \(x, t\), "]"}], " ", 
        RowBox[{
          SuperscriptBox[\(Phi[1]\), 
            TagBox[\((1, 0, 1)\),
              Derivative],
            MultilineFunction->None], "[", \(x, t, u\), "]"}]}], "-", 
      RowBox[{
        RowBox[{
          SuperscriptBox["u", 
            TagBox[\((1, 0)\),
              Derivative],
            MultilineFunction->None], "[", \(x, t\), "]"}], " ", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{
                SuperscriptBox["u", 
                  TagBox[\((1, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, t\), "]"}], " ", 
              RowBox[{
                SuperscriptBox[\(Phi[1]\), 
                  TagBox[\((0, 0, 2)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, t, u\), "]"}]}], "+", 
            RowBox[{
              SuperscriptBox[\(Phi[1]\), 
                TagBox[\((1, 0, 1)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, t, u\), "]"}]}], ")"}]}], 
      "-", 
      RowBox[{
        SuperscriptBox[\(Phi[1]\), 
          TagBox[\((2, 0, 0)\),
            Derivative],
          MultilineFunction->None], "[", \(x, t, u\), "]"}], "+", 
      RowBox[{
        RowBox[{
          SuperscriptBox["u", 
            TagBox[\((1, 0)\),
              Derivative],
            MultilineFunction->None], "[", \(x, t\), "]"}], " ", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{
                SuperscriptBox["u", 
                  TagBox[\((2, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, t\), "]"}], " ", 
              RowBox[{
                SuperscriptBox[\(Xi[1]\), 
                  TagBox[\((0, 0, 1)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, t, u\), "]"}]}], "+", 
            RowBox[{
              RowBox[{
                SuperscriptBox["u", 
                  TagBox[\((1, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, t\), "]"}], " ", 
              RowBox[{
                SuperscriptBox[\(Xi[1]\), 
                  TagBox[\((1, 0, 1)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, t, u\), "]"}]}], "+", 
            RowBox[{
              RowBox[{
                SuperscriptBox["u", 
                  TagBox[\((1, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, t\), "]"}], " ", 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{
                    RowBox[{
                      SuperscriptBox["u", 
                        TagBox[\((1, 0)\),
                          Derivative],
                        MultilineFunction->None], "[", \(x, t\), "]"}], " ", 
                    RowBox[{
                      SuperscriptBox[\(Xi[1]\), 
                        TagBox[\((0, 0, 2)\),
                          Derivative],
                        MultilineFunction->None], "[", \(x, t, u\), "]"}]}], 
                  "+", 
                  RowBox[{
                    SuperscriptBox[\(Xi[1]\), 
                      TagBox[\((1, 0, 1)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, t, u\), "]"}]}], 
                ")"}]}], "+", 
            RowBox[{
              SuperscriptBox[\(Xi[1]\), 
                TagBox[\((2, 0, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, t, u\), "]"}]}], ")"}]}], 
      "+", 
      RowBox[{
        RowBox[{
          SuperscriptBox["u", 
            TagBox[\((0, 1)\),
              Derivative],
            MultilineFunction->None], "[", \(x, t\), "]"}], " ", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{
                SuperscriptBox["u", 
                  TagBox[\((2, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, t\), "]"}], " ", 
              RowBox[{
                SuperscriptBox[\(Xi[2]\), 
                  TagBox[\((0, 0, 1)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, t, u\), "]"}]}], "+", 
            RowBox[{
              RowBox[{
                SuperscriptBox["u", 
                  TagBox[\((1, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, t\), "]"}], " ", 
              RowBox[{
                SuperscriptBox[\(Xi[2]\), 
                  TagBox[\((1, 0, 1)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, t, u\), "]"}]}], "+", 
            RowBox[{
              RowBox[{
                SuperscriptBox["u", 
                  TagBox[\((1, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, t\), "]"}], " ", 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{
                    RowBox[{
                      SuperscriptBox["u", 
                        TagBox[\((1, 0)\),
                          Derivative],
                        MultilineFunction->None], "[", \(x, t\), "]"}], " ", 
                    RowBox[{
                      SuperscriptBox[\(Xi[2]\), 
                        TagBox[\((0, 0, 2)\),
                          Derivative],
                        MultilineFunction->None], "[", \(x, t, u\), "]"}]}], 
                  "+", 
                  RowBox[{
                    SuperscriptBox[\(Xi[2]\), 
                      TagBox[\((1, 0, 1)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, t, u\), "]"}]}], 
                ")"}]}], "+", 
            RowBox[{
              SuperscriptBox[\(Xi[2]\), 
                TagBox[\((2, 0, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, t, u\), "]"}]}], 
          ")"}]}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(Megoldas\)\(=\)\(First[
        Solve[Hovezetes \[Equal] 0, 
          D[u[x, t], t]]]\)\(\ \)\( (*Az\ eredeti\ egyenlet\  - 
          trivi\[AAcute]lis - \ megold\[AAcute]sa, \ 
        ami\ alapj\[AAcute]n\ a\ helyettes\[IAcute]t\[EAcute]s\ \(\(elv\
\[EAcute]gezhet\[ODoubleAcute]\)\(.\)\)*) \)\)\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        RowBox[{
          SuperscriptBox["u", 
            TagBox[\((0, 1)\),
              Derivative],
            MultilineFunction->None], "[", \(x, t\), "]"}], "\[Rule]", 
        RowBox[{
          SuperscriptBox["u", 
            TagBox[\((2, 0)\),
              Derivative],
            MultilineFunction->None], "[", \(x, t\), "]"}]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Masodikpr = \(\(Masodikpr\)\(/.\)\(Megoldas\)\(\ \)\( (*A\ \
m\[AAcute]sodik\ prolong\[AAcute]ci\[OAcute]t\ alkalmazzuk\ az\ egyenletre\ \
\[EAcute]s\ behelyettes\[IAcute]t\[UDoubleDot]nk\ a\ \(\(megold\[AAcute]sn\
\[AAcute]l\)\(.\)\)*) \)\)\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{
        SuperscriptBox[\(Phi[1]\), 
          TagBox[\((0, 1, 0)\),
            Derivative],
          MultilineFunction->None], "[", \(x, t, u\), "]"}], "-", 
      RowBox[{
        RowBox[{
          SuperscriptBox["u", 
            TagBox[\((1, 0)\),
              Derivative],
            MultilineFunction->None], "[", \(x, t\), "]"}], " ", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{
                SuperscriptBox["u", 
                  TagBox[\((2, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, t\), "]"}], " ", 
              RowBox[{
                SuperscriptBox[\(Xi[1]\), 
                  TagBox[\((0, 0, 1)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, t, u\), "]"}]}], "+", 
            RowBox[{
              SuperscriptBox[\(Xi[1]\), 
                TagBox[\((0, 1, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, t, u\), "]"}]}], ")"}]}], 
      "-", 
      RowBox[{
        RowBox[{
          SuperscriptBox["u", 
            TagBox[\((2, 0)\),
              Derivative],
            MultilineFunction->None], "[", \(x, t\), "]"}], " ", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{
                SuperscriptBox["u", 
                  TagBox[\((2, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, t\), "]"}], " ", 
              RowBox[{
                SuperscriptBox[\(Xi[2]\), 
                  TagBox[\((0, 0, 1)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, t, u\), "]"}]}], "+", 
            RowBox[{
              SuperscriptBox[\(Xi[2]\), 
                TagBox[\((0, 1, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, t, u\), "]"}]}], ")"}]}], 
      "+", 
      RowBox[{"2", " ", 
        RowBox[{
          SuperscriptBox["u", 
            TagBox[\((2, 0)\),
              Derivative],
            MultilineFunction->None], "[", \(x, t\), "]"}], " ", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{
                SuperscriptBox["u", 
                  TagBox[\((1, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, t\), "]"}], " ", 
              RowBox[{
                SuperscriptBox[\(Xi[1]\), 
                  TagBox[\((0, 0, 1)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, t, u\), "]"}]}], "+", 
            RowBox[{
              SuperscriptBox[\(Xi[1]\), 
                TagBox[\((1, 0, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, t, u\), "]"}]}], ")"}]}], 
      "+", 
      RowBox[{"2", " ", 
        RowBox[{
          SuperscriptBox["u", 
            TagBox[\((1, 1)\),
              Derivative],
            MultilineFunction->None], "[", \(x, t\), "]"}], " ", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{
                SuperscriptBox["u", 
                  TagBox[\((1, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, t\), "]"}], " ", 
              RowBox[{
                SuperscriptBox[\(Xi[2]\), 
                  TagBox[\((0, 0, 1)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, t, u\), "]"}]}], "+", 
            RowBox[{
              SuperscriptBox[\(Xi[2]\), 
                TagBox[\((1, 0, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, t, u\), "]"}]}], ")"}]}], 
      "-", 
      RowBox[{
        RowBox[{
          SuperscriptBox["u", 
            TagBox[\((1, 0)\),
              Derivative],
            MultilineFunction->None], "[", \(x, t\), "]"}], " ", 
        RowBox[{
          SuperscriptBox[\(Phi[1]\), 
            TagBox[\((1, 0, 1)\),
              Derivative],
            MultilineFunction->None], "[", \(x, t, u\), "]"}]}], "-", 
      RowBox[{
        RowBox[{
          SuperscriptBox["u", 
            TagBox[\((1, 0)\),
              Derivative],
            MultilineFunction->None], "[", \(x, t\), "]"}], " ", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{
                SuperscriptBox["u", 
                  TagBox[\((1, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, t\), "]"}], " ", 
              RowBox[{
                SuperscriptBox[\(Phi[1]\), 
                  TagBox[\((0, 0, 2)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, t, u\), "]"}]}], "+", 
            RowBox[{
              SuperscriptBox[\(Phi[1]\), 
                TagBox[\((1, 0, 1)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, t, u\), "]"}]}], ")"}]}], 
      "-", 
      RowBox[{
        SuperscriptBox[\(Phi[1]\), 
          TagBox[\((2, 0, 0)\),
            Derivative],
          MultilineFunction->None], "[", \(x, t, u\), "]"}], "+", 
      RowBox[{
        RowBox[{
          SuperscriptBox["u", 
            TagBox[\((1, 0)\),
              Derivative],
            MultilineFunction->None], "[", \(x, t\), "]"}], " ", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{
                SuperscriptBox["u", 
                  TagBox[\((2, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, t\), "]"}], " ", 
              RowBox[{
                SuperscriptBox[\(Xi[1]\), 
                  TagBox[\((0, 0, 1)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, t, u\), "]"}]}], "+", 
            RowBox[{
              RowBox[{
                SuperscriptBox["u", 
                  TagBox[\((1, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, t\), "]"}], " ", 
              RowBox[{
                SuperscriptBox[\(Xi[1]\), 
                  TagBox[\((1, 0, 1)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, t, u\), "]"}]}], "+", 
            RowBox[{
              RowBox[{
                SuperscriptBox["u", 
                  TagBox[\((1, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, t\), "]"}], " ", 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{
                    RowBox[{
                      SuperscriptBox["u", 
                        TagBox[\((1, 0)\),
                          Derivative],
                        MultilineFunction->None], "[", \(x, t\), "]"}], " ", 
                    RowBox[{
                      SuperscriptBox[\(Xi[1]\), 
                        TagBox[\((0, 0, 2)\),
                          Derivative],
                        MultilineFunction->None], "[", \(x, t, u\), "]"}]}], 
                  "+", 
                  RowBox[{
                    SuperscriptBox[\(Xi[1]\), 
                      TagBox[\((1, 0, 1)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, t, u\), "]"}]}], 
                ")"}]}], "+", 
            RowBox[{
              SuperscriptBox[\(Xi[1]\), 
                TagBox[\((2, 0, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, t, u\), "]"}]}], ")"}]}], 
      "+", 
      RowBox[{
        RowBox[{
          SuperscriptBox["u", 
            TagBox[\((2, 0)\),
              Derivative],
            MultilineFunction->None], "[", \(x, t\), "]"}], " ", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{
              RowBox[{
                SuperscriptBox["u", 
                  TagBox[\((2, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, t\), "]"}], " ", 
              RowBox[{
                SuperscriptBox[\(Xi[2]\), 
                  TagBox[\((0, 0, 1)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, t, u\), "]"}]}], "+", 
            RowBox[{
              RowBox[{
                SuperscriptBox["u", 
                  TagBox[\((1, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, t\), "]"}], " ", 
              RowBox[{
                SuperscriptBox[\(Xi[2]\), 
                  TagBox[\((1, 0, 1)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, t, u\), "]"}]}], "+", 
            RowBox[{
              RowBox[{
                SuperscriptBox["u", 
                  TagBox[\((1, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, t\), "]"}], " ", 
              RowBox[{"(", 
                RowBox[{
                  RowBox[{
                    RowBox[{
                      SuperscriptBox["u", 
                        TagBox[\((1, 0)\),
                          Derivative],
                        MultilineFunction->None], "[", \(x, t\), "]"}], " ", 
                    RowBox[{
                      SuperscriptBox[\(Xi[2]\), 
                        TagBox[\((0, 0, 2)\),
                          Derivative],
                        MultilineFunction->None], "[", \(x, t, u\), "]"}]}], 
                  "+", 
                  RowBox[{
                    SuperscriptBox[\(Xi[2]\), 
                      TagBox[\((1, 0, 1)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, t, u\), "]"}]}], 
                ")"}]}], "+", 
            RowBox[{
              SuperscriptBox[\(Xi[2]\), 
                TagBox[\((2, 0, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, t, u\), "]"}]}], 
          ")"}]}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(Egyutthatoegyenletek\)\(=\)\(EDeterminantes[
        Masodikpr, {u}, {x, 
          t}]\)\(\ \)\( (*Az\ egyes\ v\[AAcute]ltoz\[OAcute]k\ \((u\ k\
\[UDoubleDot]l\[ODoubleDot]nb\[ODoubleDot]z\[ODoubleAcute]\ \
deriv\[AAcute]ltjainak\ f\[UDoubleDot]ggetlen\ kombin\[AAcute]ci\[OAcute]i)\)\
\ egy\[UDoubleDot]tthat\[OAcute]i\ alapj\[AAcute]n\ az\ egy\[UDoubleDot]tthat\
\[OAcute]kra\ vonatkoz\[OAcute]\ 0 - 
          ra\ rendezett\ egyenletek\ \(\(fel\[IAcute]r\[AAcute]sa\)\(.\)\)*) \
\)\)\)], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        RowBox[{
          SuperscriptBox["u", 
            TagBox[\((1, 0)\),
              Derivative],
            MultilineFunction->None], "[", \(x, t\), "]"}], ",", 
        RowBox[{
          SuperscriptBox["u", 
            TagBox[\((1, 1)\),
              Derivative],
            MultilineFunction->None], "[", \(x, t\), "]"}], ",", 
        RowBox[{
          SuperscriptBox["u", 
            TagBox[\((2, 0)\),
              Derivative],
            MultilineFunction->None], "[", \(x, t\), "]"}]}], "}"}]], "Print"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        RowBox[{"2", " ", 
          RowBox[{
            SuperscriptBox[\(Xi[2]\), 
              TagBox[\((0, 0, 1)\),
                Derivative],
              MultilineFunction->None], "[", \(x, t, u\), "]"}]}], ",", 
        RowBox[{
          SuperscriptBox[\(Xi[1]\), 
            TagBox[\((0, 0, 2)\),
              Derivative],
            MultilineFunction->None], "[", \(x, t, u\), "]"}], ",", 
        RowBox[{
          SuperscriptBox[\(Xi[2]\), 
            TagBox[\((0, 0, 2)\),
              Derivative],
            MultilineFunction->None], "[", \(x, t, u\), "]"}], ",", 
        RowBox[{"2", " ", 
          RowBox[{
            SuperscriptBox[\(Xi[2]\), 
              TagBox[\((1, 0, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, t, u\), "]"}]}], ",", 
        RowBox[{
          RowBox[{"-", 
            RowBox[{
              SuperscriptBox[\(Phi[1]\), 
                TagBox[\((0, 0, 2)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, t, u\), "]"}]}], "+", 
          RowBox[{"2", " ", 
            RowBox[{
              SuperscriptBox[\(Xi[1]\), 
                TagBox[\((1, 0, 1)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, t, u\), "]"}]}]}], ",", 
        RowBox[{
          RowBox[{"2", " ", 
            RowBox[{
              SuperscriptBox[\(Xi[1]\), 
                TagBox[\((0, 0, 1)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, t, u\), "]"}]}], "+", 
          RowBox[{"2", " ", 
            RowBox[{
              SuperscriptBox[\(Xi[2]\), 
                TagBox[\((1, 0, 1)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, t, u\), "]"}]}]}], ",", 
        RowBox[{
          RowBox[{
            SuperscriptBox[\(Phi[1]\), 
              TagBox[\((0, 1, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, t, u\), "]"}], "-", 
          RowBox[{
            SuperscriptBox[\(Phi[1]\), 
              TagBox[\((2, 0, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, t, u\), "]"}]}], ",", 
        RowBox[{
          RowBox[{"-", 
            RowBox[{
              SuperscriptBox[\(Xi[1]\), 
                TagBox[\((0, 1, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, t, u\), "]"}]}], "-", 
          RowBox[{"2", " ", 
            RowBox[{
              SuperscriptBox[\(Phi[1]\), 
                TagBox[\((1, 0, 1)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, t, u\), "]"}]}], "+", 
          RowBox[{
            SuperscriptBox[\(Xi[1]\), 
              TagBox[\((2, 0, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, t, u\), "]"}]}], ",", 
        RowBox[{
          RowBox[{"-", 
            RowBox[{
              SuperscriptBox[\(Xi[2]\), 
                TagBox[\((0, 1, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, t, u\), "]"}]}], "+", 
          RowBox[{"2", " ", 
            RowBox[{
              SuperscriptBox[\(Xi[1]\), 
                TagBox[\((1, 0, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, t, u\), "]"}]}], "+", 
          RowBox[{
            SuperscriptBox[\(Xi[2]\), 
              TagBox[\((2, 0, 0)\),
                Derivative],
              MultilineFunction->None], "[", \(x, t, u\), "]"}]}]}], 
      "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Egyutthatoegyenletek = \(\(Simplifica[
          Egyutthatoegyenletek]\)\(//\)\(ColumnForm\)\(\ \ \ \ \ \ \ \ \ \ \ \
\ \ \ \ \ \ \ \ \ \ \ \ \)\( (*A\ rendszer\ \(\(egyszer\[UDoubleAcute]s\
\[IAcute]t\[EAcute]se\)\(.\)\)*) \)\)\)], "Input"],

Cell[BoxData[
    InterpretationBox[GridBox[{
          {
            RowBox[{
              SuperscriptBox[\(Xi[1]\), 
                TagBox[\((0, 0, 1)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, t, u\), "]"}]},
          {
            RowBox[{
              SuperscriptBox[\(Xi[2]\), 
                TagBox[\((0, 0, 1)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, t, u\), "]"}]},
          {
            RowBox[{
              SuperscriptBox[\(Phi[1]\), 
                TagBox[\((0, 0, 2)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, t, u\), "]"}]},
          {
            RowBox[{
              SuperscriptBox[\(Xi[2]\), 
                TagBox[\((1, 0, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, t, u\), "]"}]},
          {
            RowBox[{
              RowBox[{
                SuperscriptBox[\(Phi[1]\), 
                  TagBox[\((0, 1, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, t, u\), "]"}], "-", 
              RowBox[{
                SuperscriptBox[\(Phi[1]\), 
                  TagBox[\((2, 0, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, t, u\), "]"}]}]},
          {
            RowBox[{
              RowBox[{"-", 
                RowBox[{
                  SuperscriptBox[\(Xi[1]\), 
                    TagBox[\((0, 1, 0)\),
                      Derivative],
                    MultilineFunction->None], "[", \(x, t, u\), "]"}]}], "-", 
              
              RowBox[{"2", " ", 
                RowBox[{
                  SuperscriptBox[\(Phi[1]\), 
                    TagBox[\((1, 0, 1)\),
                      Derivative],
                    MultilineFunction->None], "[", \(x, t, u\), "]"}]}], "+", 
              
              RowBox[{
                SuperscriptBox[\(Xi[1]\), 
                  TagBox[\((2, 0, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, t, u\), "]"}]}]},
          {
            RowBox[{
              RowBox[{"-", 
                RowBox[{
                  SuperscriptBox[\(Xi[2]\), 
                    TagBox[\((0, 1, 0)\),
                      Derivative],
                    MultilineFunction->None], "[", \(x, t, u\), "]"}]}], "+", 
              
              RowBox[{"2", " ", 
                RowBox[{
                  SuperscriptBox[\(Xi[1]\), 
                    TagBox[\((1, 0, 0)\),
                      Derivative],
                    MultilineFunction->None], "[", \(x, t, u\), "]"}]}]}]}
          },
        GridBaseline->{Baseline, {1, 1}},
        ColumnAlignments->{Left}],
      ColumnForm[ {
        Derivative[ 0, 0, 1][ 
          Xi[ 1]][ x, t, u], 
        Derivative[ 0, 0, 1][ 
          Xi[ 2]][ x, t, u], 
        Derivative[ 0, 0, 2][ 
          Phi[ 1]][ x, t, u], 
        Derivative[ 1, 0, 0][ 
          Xi[ 2]][ x, t, u], 
        Plus[ 
          Derivative[ 0, 1, 0][ 
            Phi[ 1]][ x, t, u], 
          Times[ -1, 
            Derivative[ 2, 0, 0][ 
              Phi[ 1]][ x, t, u]]], 
        Plus[ 
          Times[ -1, 
            Derivative[ 0, 1, 0][ 
              Xi[ 1]][ x, t, u]], 
          Times[ -2, 
            Derivative[ 1, 0, 1][ 
              Phi[ 1]][ x, t, u]], 
          Derivative[ 2, 0, 0][ 
            Xi[ 1]][ x, t, u]], 
        Plus[ 
          Times[ -1, 
            Derivative[ 0, 1, 0][ 
              Xi[ 2]][ x, t, u]], 
          Times[ 2, 
            Derivative[ 1, 0, 0][ 
              Xi[ 1]][ x, t, u]]]}],
      Editable->False]], "Output"]
}, Open  ]],

Cell["\<\
Innent\[ODoubleAcute]l kezdve a rendelkez\[EAcute]sre \[AAcute]ll\[OAcute] \
egyenletekb\[ODoubleAcute]l vonunk le k\[ODoubleDot]vetkeztet\[EAcute]seket, \
ezeket vissza\[IAcute]rjuk az eredeti rendszerbe, majd ism\[EAcute]telten \
meghat\[AAcute]rozzuk az egy\[UDoubleDot]tthat\[OAcute]kra vonatkoz\[OAcute] \
egyenleteket.\
\>", "Text"],

Cell["Az els\[ODoubleAcute] iter\[AAcute]ci\[OAcute]s \
l\[EAcute]p\[EAcute]s:", "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(LXi = {\(Xi[1]\)[x, t], \ \(Xi[2]\)[t]};\)\  (*Az\ 1. , \ 
      2. \ \[EAcute]s\ 4. \ egyenletekb\[ODoubleAcute]l\ \(\(k\[EAcute]zzel\)\
\(.\)\)*) \), "\[IndentingNewLine]", 
    \(\(LPhi = {f[x, t]\ u + 
            g[x, t]};\)\ \  (*A\ 3. \ egyenletb\[ODoubleAcute]l\ \(\(k\
\[EAcute]zzel\)\(.\)\)*) \), "\[IndentingNewLine]", 
    \(Egyutthatoegyenletek2 = 
      SInfinitesimales[Egyutthatoegyenletek, LXi, LPhi]\)}], "Input"],

Cell[BoxData[
    InterpretationBox[GridBox[{
          {"0"},
          {"0"},
          {"0"},
          {"0"},
          {
            RowBox[{
              RowBox[{"u", " ", 
                RowBox[{
                  SuperscriptBox["f", 
                    TagBox[\((0, 1)\),
                      Derivative],
                    MultilineFunction->None], "[", \(x, t\), "]"}]}], "+", 
              RowBox[{
                SuperscriptBox["g", 
                  TagBox[\((0, 1)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, t\), "]"}], "-", 
              RowBox[{"u", " ", 
                RowBox[{
                  SuperscriptBox["f", 
                    TagBox[\((2, 0)\),
                      Derivative],
                    MultilineFunction->None], "[", \(x, t\), "]"}]}], "-", 
              RowBox[{
                SuperscriptBox["g", 
                  TagBox[\((2, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, t\), "]"}]}]},
          {
            RowBox[{
              RowBox[{"-", 
                RowBox[{
                  SuperscriptBox[\(Xi[1]\), 
                    TagBox[\((0, 1)\),
                      Derivative],
                    MultilineFunction->None], "[", \(x, t\), "]"}]}], "-", 
              RowBox[{"2", " ", 
                RowBox[{
                  SuperscriptBox["f", 
                    TagBox[\((1, 0)\),
                      Derivative],
                    MultilineFunction->None], "[", \(x, t\), "]"}]}], "+", 
              RowBox[{
                SuperscriptBox[\(Xi[1]\), 
                  TagBox[\((2, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, t\), "]"}]}]},
          {
            RowBox[{
              RowBox[{"-", 
                RowBox[{
                  SuperscriptBox[\(Xi[2]\), "\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
                RowBox[{
                  SuperscriptBox[\(Xi[1]\), 
                    TagBox[\((1, 0)\),
                      Derivative],
                    MultilineFunction->None], "[", \(x, t\), "]"}]}]}]}
          },
        GridBaseline->{Baseline, {1, 1}},
        ColumnAlignments->{Left}],
      ColumnForm[ {0, 0, 0, 0, 
        Plus[ 
          Times[ u, 
            Derivative[ 0, 1][ f][ x, t]], 
          Derivative[ 0, 1][ g][ x, t], 
          Times[ -1, u, 
            Derivative[ 2, 0][ f][ x, t]], 
          Times[ -1, 
            Derivative[ 2, 0][ g][ x, t]]], 
        Plus[ 
          Times[ -1, 
            Derivative[ 0, 1][ 
              Xi[ 1]][ x, t]], 
          Times[ -2, 
            Derivative[ 1, 0][ f][ x, t]], 
          Derivative[ 2, 0][ 
            Xi[ 1]][ x, t]], 
        Plus[ 
          Times[ -1, 
            Derivative[ 1][ 
              Xi[ 2]][ t]], 
          Times[ 2, 
            Derivative[ 1, 0][ 
              Xi[ 1]][ x, t]]]}],
      Editable->False]], "Output"]
}, Open  ]],

Cell["A m\[AAcute]sodik iter\[AAcute]ci\[OAcute]s l\[EAcute]p\[EAcute]s:", \
"Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    RowBox[{
      RowBox[{
        RowBox[{"LXi", "=", 
          RowBox[{
            StyleBox["{",
              FontWeight->"Plain"], 
            StyleBox[" ",
              FontWeight->"Plain"], \(D[\(Xi[2]\)[t], t]\ x/2 + 
              h[t], \ \(Xi[2]\)[t]\), "}"}]}], ";"}], 
      " ", \( (*A\ harmadik\ egyenletb\[ODoubleAcute]l\ \
\(\(k\[EAcute]zzel\)\(.\)\)*) \)}], "\[IndentingNewLine]", \(LPhi = {f[x, 
                t]\ u + 
            g[x, t]};\), "\[IndentingNewLine]", \(Egyutthatoegyenletek3 = 
      SInfinitesimales[Egyutthatoegyenletek, LXi, LPhi]\)}], "Input"],

Cell[BoxData[
    InterpretationBox[GridBox[{
          {"0"},
          {"0"},
          {"0"},
          {"0"},
          {
            RowBox[{
              RowBox[{"u", " ", 
                RowBox[{
                  SuperscriptBox["f", 
                    TagBox[\((0, 1)\),
                      Derivative],
                    MultilineFunction->None], "[", \(x, t\), "]"}]}], "+", 
              RowBox[{
                SuperscriptBox["g", 
                  TagBox[\((0, 1)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, t\), "]"}], "-", 
              RowBox[{"u", " ", 
                RowBox[{
                  SuperscriptBox["f", 
                    TagBox[\((2, 0)\),
                      Derivative],
                    MultilineFunction->None], "[", \(x, t\), "]"}]}], "-", 
              RowBox[{
                SuperscriptBox["g", 
                  TagBox[\((2, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, t\), "]"}]}]},
          {
            RowBox[{
              RowBox[{"-", 
                RowBox[{
                  SuperscriptBox["h", "\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}], "-", 
              RowBox[{\(1\/2\), " ", "x", " ", 
                RowBox[{
                  SuperscriptBox[\(Xi[2]\), "\[Prime]\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
                RowBox[{
                  SuperscriptBox["f", 
                    TagBox[\((1, 0)\),
                      Derivative],
                    MultilineFunction->None], "[", \(x, t\), "]"}]}]}]},
          {"0"}
          },
        GridBaseline->{Baseline, {1, 1}},
        ColumnAlignments->{Left}],
      ColumnForm[ {0, 0, 0, 0, 
        Plus[ 
          Times[ u, 
            Derivative[ 0, 1][ f][ x, t]], 
          Derivative[ 0, 1][ g][ x, t], 
          Times[ -1, u, 
            Derivative[ 2, 0][ f][ x, t]], 
          Times[ -1, 
            Derivative[ 2, 0][ g][ x, t]]], 
        Plus[ 
          Times[ -1, 
            Derivative[ 1][ h][ t]], 
          Times[ 
            Rational[ -1, 2], x, 
            Derivative[ 2][ 
              Xi[ 2]][ t]], 
          Times[ -2, 
            Derivative[ 1, 0][ f][ x, t]]], 0}],
      Editable->False]], "Output"]
}, Open  ]],

Cell["A harmadik iter\[AAcute]ci\[OAcute]s l\[EAcute]p\[EAcute]s:", "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(LXi = {1/2\ D[\(Xi[2]\)[t], t]\ x + h[t], \ \(Xi[2]\)[
            t]};\)\ \), "\[IndentingNewLine]", 
    \(LPhi = {\((\(-1\)/8\ D[\(Xi[2]\)[t], {t, 2}]\ x\^2\  - 
                1/2\ D[h[t], t]\ x\  + k[t])\)\ u + 
          g[x, t]}; \  (*A\ m\[AAcute]sodik\ egyenletb\[ODoubleAcute]l\ \(\(k\
\[EAcute]zzel\)\(.\)\)*) \[IndentingNewLine]Egyutthatoegyenletek4 = 
      SInfinitesimales[Egyutthatoegyenletek, LXi, LPhi]\)}], "Input"],

Cell[BoxData[
    InterpretationBox[GridBox[{
          {"0"},
          {"0"},
          {"0"},
          {"0"},
          {
            RowBox[{
              RowBox[{\(1\/4\), " ", "u", " ", 
                RowBox[{
                  SuperscriptBox[\(Xi[2]\), "\[Prime]\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}], "+", 
              RowBox[{"u", " ", 
                RowBox[{"(", 
                  RowBox[{
                    RowBox[{
                      SuperscriptBox["k", "\[Prime]",
                        MultilineFunction->None], "[", "t", "]"}], "-", 
                    RowBox[{\(1\/2\), " ", "x", " ", 
                      RowBox[{
                        SuperscriptBox["h", "\[Prime]\[Prime]",
                          MultilineFunction->None], "[", "t", "]"}]}], "-", 
                    RowBox[{\(1\/8\), " ", \(x\^2\), " ", 
                      RowBox[{
                        SuperscriptBox[\(Xi[2]\), 
                          TagBox[\((3)\),
                            Derivative],
                          MultilineFunction->None], "[", "t", "]"}]}]}], 
                  ")"}]}], "+", 
              RowBox[{
                SuperscriptBox["g", 
                  TagBox[\((0, 1)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, t\), "]"}], "-", 
              RowBox[{
                SuperscriptBox["g", 
                  TagBox[\((2, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, t\), "]"}]}]},
          {
            RowBox[{
              RowBox[{"-", 
                RowBox[{
                  SuperscriptBox["h", "\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}], "-", 
              RowBox[{\(1\/2\), " ", "x", " ", 
                RowBox[{
                  SuperscriptBox[\(Xi[2]\), "\[Prime]\[Prime]",
                    MultilineFunction->None], "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
                RowBox[{"(", 
                  RowBox[{
                    RowBox[{\(-\(1\/2\)\), " ", 
                      RowBox[{
                        SuperscriptBox["h", "\[Prime]",
                          MultilineFunction->None], "[", "t", "]"}]}], "-", 
                    RowBox[{\(1\/4\), " ", "x", " ", 
                      RowBox[{
                        SuperscriptBox[\(Xi[2]\), "\[Prime]\[Prime]",
                          MultilineFunction->None], "[", "t", "]"}]}]}], 
                  ")"}]}]}]},
          {"0"}
          },
        GridBaseline->{Baseline, {1, 1}},
        ColumnAlignments->{Left}],
      ColumnForm[ {0, 0, 0, 0, 
        Plus[ 
          Times[ 
            Rational[ 1, 4], u, 
            Derivative[ 2][ 
              Xi[ 2]][ t]], 
          Times[ u, 
            Plus[ 
              Derivative[ 1][ k][ t], 
              Times[ 
                Rational[ -1, 2], x, 
                Derivative[ 2][ h][ t]], 
              Times[ 
                Rational[ -1, 8], 
                Power[ x, 2], 
                Derivative[ 3][ 
                  Xi[ 2]][ t]]]], 
          Derivative[ 0, 1][ g][ x, t], 
          Times[ -1, 
            Derivative[ 2, 0][ g][ x, t]]], 
        Plus[ 
          Times[ -1, 
            Derivative[ 1][ h][ t]], 
          Times[ 
            Rational[ -1, 2], x, 
            Derivative[ 2][ 
              Xi[ 2]][ t]], 
          Times[ -2, 
            Plus[ 
              Times[ 
                Rational[ -1, 2], 
                Derivative[ 1][ h][ t]], 
              Times[ 
                Rational[ -1, 4], x, 
                Derivative[ 2][ 
                  Xi[ 2]][ t]]]]], 0}],
      Editable->False]], "Output"]
}, Open  ]],

Cell[TextData[{
  "Itt m\[AAcute]r csak 1 db 0-ra rendezett egyenlet van (a m\[AAcute]sodik \
azonosan 0), ebben pedig a k\[UDoubleDot]l\[ODoubleDot]nb\[ODoubleDot]z\
\[ODoubleAcute] v\[AAcute]ltoz\[OAcute]k egy\[UDoubleDot]tthat\[OAcute]inak \
0-nak kell lenni, hogy ez is azonoss\[AAcute]g legyen:\n",
  Cell[BoxData[
      \(TraditionalForm\`g(x, t)\)]],
  " a h\[ODoubleAcute]vezet\[EAcute]si egyenlet tetsz\[ODoubleAcute]leges \
megold\[AAcute]sa, mert a konstans tag 0.\n",
  Cell[BoxData[
      \(TraditionalForm\`\(1\/4\) \[PartialD]\_tt\(\( \[Xi]\^\((2)\)\)(
                t)\) + \[PartialD]\_t\( k(t)\) = 0\)]],
  ", mert az ",
  Cell[BoxData[
      \(TraditionalForm\`u\)]],
  "-t tartalmaz\[OAcute] tagok egy\[UDoubleDot]tthat\[OAcute]ja 0.\n ",
  Cell[BoxData[
      \(TraditionalForm\`\[PartialD]\_tt\( h(t)\) = 0\)]],
  ", mert az ",
  Cell[BoxData[
      \(TraditionalForm\`u\[CenterDot]x\)]],
  "-et tartalmaz\[OAcute] tagok egy\[UDoubleDot]tthat\[OAcute]ja 0.\n ",
  Cell[BoxData[
      \(TraditionalForm\`\[PartialD]\_ttt \[Xi]\^\((2)\) = 0\)]],
  ", mert az ",
  Cell[BoxData[
      \(TraditionalForm\`u\[CenterDot]x\^2\)]],
  "-et tartalmaz\[OAcute] tagok egy\[UDoubleDot]tthat\[OAcute]ja 0."
}], "Text"],

Cell[TextData[{
  "\[CapitalIAcute]gy teh\[AAcute]t (felhaszn\[AAcute]lva az utols\[OAcute] h\
\[AAcute]rom egyenletet \[EAcute]s vissza\[IAcute]rva a keresett alakba az \
egy\[UDoubleDot]tthat\[OAcute]kat):\n",
  Cell[BoxData[
      \(TraditionalForm\`\[Xi]\^\((1)\) = \(1\/2\) C\_1\[CenterDot]x + 
          C\_2\[CenterDot]x\[CenterDot]t + C\_3\[CenterDot]t + C\_4\)], 
    "DisplayFormula"],
  "\n",
  Cell[BoxData[
      \(TraditionalForm\`\[Xi]\^\((2)\) = 
        C\_1\[CenterDot]t + C\_2\[CenterDot]t\^2 + C\_5\)], 
    "DisplayFormula"],
  "\n",
  Cell[BoxData[
      \(TraditionalForm\`\[Phi]\^\((1)\) = \(-\([\(1\/2\) 
                    C\_3\[CenterDot]x + \(1\/4\) 
                    C\_2\[CenterDot]x\^2 + \(1\/2\) C\_2\[CenterDot]t + 
                  C\_6]\)\)\[CenterDot]u + g(x, t)\)], "DisplayFormula"],
  ", ahol ",
  Cell[BoxData[
      \(TraditionalForm\`g(x, t)\)]],
  "az eredeti rendszer tetsz\[ODoubleAcute]leges megold\[AAcute]sa."
}], "Text"],

Cell[TextData[{
  "A konstansok szorz\[OAcute]i alapj\[AAcute]n a szimmetri\[AAcute]k f\
\[ODoubleDot]l\[IAcute]rhat\[OAcute]k:\n",
  Cell[BoxData[
      \(TraditionalForm\`v\+_\_1 = \(1\/2\) 
          x \[PartialD]\_x\(+t\) \[PartialD]\_t\)]],
  "\n",
  Cell[BoxData[
      \(TraditionalForm\`v\+_\_2 = 
        x\ t \[PartialD]\_x\(+t\^2\) \[PartialD]\_t\(-\((\(1\/4\) 
                    x\^2 + \(1\/2\) t)\)\)\ u\ \[PartialD]\_u\)]],
  "\n",
  Cell[BoxData[
      \(TraditionalForm\`v\+_\_3 = 
        t \[PartialD]\_x\(-\(1\/2\)\) x\ \[PartialD]\_u\)]],
  "\n",
  Cell[BoxData[
      \(TraditionalForm\`v\+_\_4 = \[PartialD]\_x\)]],
  "\n",
  Cell[BoxData[
      \(TraditionalForm\`v\+_\_5 = \[PartialD]\_t\)]],
  "\n",
  Cell[BoxData[
      \(TraditionalForm\`v\+_\_6 = \(-u\) \[PartialD]\_u\)]],
  "\n",
  Cell[BoxData[
      \(TraditionalForm\`v\+_\_g = \(g(x, t)\)\ \[PartialD]\_u\)]]
}], "Text"],

Cell[TextData[StyleBox["Ezzel meghat\[AAcute]roztuk a h\[ODoubleAcute]vezet\
\[EAcute]si egyenlet szimmetriacsoportj\[AAcute]t. Megjegyezz\[UDoubleDot]k, \
hogy nem minden csoportelem feleltehet\[ODoubleAcute] meg valamilyen szeml\
\[EAcute]letes szimmetria-tulajdons\[AAcute]gnak: m\[IAcute]g pl. az 5. gener\
\[AAcute]tor nyilv\[AAcute]n az id\[ODoubleAcute]eltol\[AAcute]st gener\
\[AAcute]lja, addig pl. a 2. gener\[AAcute]torhoz semmilyen \
k\[EAcute]zzelfoghat\[OAcute] transzform\[AAcute]ci\[OAcute] nem tartozik.",
  CellFrame->True,
  Background->GrayLevel[0.833326]]], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["3. Egy paranccsal", "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(Hovez = {D[u[x, t], t] - D[u[x, t], x, x] \[Equal] 
            0};\)\), "\[IndentingNewLine]", 
    \(\(Fuggovaltozo = {u};\)\ \), "\[IndentingNewLine]", 
    \(\(Fuggetlenvaltozok = {x, t};\)\), "\[IndentingNewLine]", 
    \(\(Kifejezendo = {D[u[x, t], t]};\)\), "\[IndentingNewLine]", 
    \(EhegyHovez = 
      YaLie[Hovez, Fuggovaltozo, Fuggetlenvaltozok, Kifejezendo] // 
        ColumnForm\)}], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        RowBox[{
          SuperscriptBox["u", 
            TagBox[\((1, 0)\),
              Derivative],
            MultilineFunction->None], "[", \(x, t\), "]"}], ",", 
        RowBox[{
          SuperscriptBox["u", 
            TagBox[\((1, 1)\),
              Derivative],
            MultilineFunction->None], "[", \(x, t\), "]"}], ",", 
        RowBox[{
          SuperscriptBox["u", 
            TagBox[\((2, 0)\),
              Derivative],
            MultilineFunction->None], "[", \(x, t\), "]"}]}], "}"}]], "Print"],

Cell[BoxData[
    InterpretationBox[GridBox[{
          {
            RowBox[{
              RowBox[{
                SuperscriptBox[\(Xi[1]\), 
                  TagBox[\((0, 0, 1)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, t, u\), "]"}], 
              "\[Equal]", "0"}]},
          {
            RowBox[{
              RowBox[{
                SuperscriptBox[\(Xi[2]\), 
                  TagBox[\((0, 0, 1)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, t, u\), "]"}], 
              "\[Equal]", "0"}]},
          {
            RowBox[{
              RowBox[{
                SuperscriptBox[\(Phi[1]\), 
                  TagBox[\((0, 0, 2)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, t, u\), "]"}], 
              "\[Equal]", "0"}]},
          {
            RowBox[{
              RowBox[{
                SuperscriptBox[\(Xi[2]\), 
                  TagBox[\((1, 0, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, t, u\), "]"}], 
              "\[Equal]", "0"}]},
          {
            RowBox[{
              RowBox[{
                RowBox[{
                  SuperscriptBox[\(Phi[1]\), 
                    TagBox[\((0, 1, 0)\),
                      Derivative],
                    MultilineFunction->None], "[", \(x, t, u\), "]"}], "-", 
                RowBox[{
                  SuperscriptBox[\(Phi[1]\), 
                    TagBox[\((2, 0, 0)\),
                      Derivative],
                    MultilineFunction->None], "[", \(x, t, u\), "]"}]}], 
              "\[Equal]", "0"}]},
          {
            RowBox[{
              RowBox[{
                RowBox[{"-", 
                  RowBox[{
                    SuperscriptBox[\(Xi[1]\), 
                      TagBox[\((0, 1, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, t, u\), "]"}]}], 
                "-", 
                RowBox[{"2", " ", 
                  RowBox[{
                    SuperscriptBox[\(Phi[1]\), 
                      TagBox[\((1, 0, 1)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, t, u\), "]"}]}], 
                "+", 
                RowBox[{
                  SuperscriptBox[\(Xi[1]\), 
                    TagBox[\((2, 0, 0)\),
                      Derivative],
                    MultilineFunction->None], "[", \(x, t, u\), "]"}]}], 
              "\[Equal]", "0"}]},
          {
            RowBox[{
              RowBox[{
                RowBox[{"-", 
                  RowBox[{
                    SuperscriptBox[\(Xi[2]\), 
                      TagBox[\((0, 1, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, t, u\), "]"}]}], 
                "+", 
                RowBox[{"2", " ", 
                  RowBox[{
                    SuperscriptBox[\(Xi[1]\), 
                      TagBox[\((1, 0, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, t, u\), "]"}]}]}], 
              "\[Equal]", "0"}]}
          },
        GridBaseline->{Baseline, {1, 1}},
        ColumnAlignments->{Left}],
      ColumnForm[ {
        Equal[ 
          Derivative[ 0, 0, 1][ 
            Xi[ 1]][ x, t, u], 0], 
        Equal[ 
          Derivative[ 0, 0, 1][ 
            Xi[ 2]][ x, t, u], 0], 
        Equal[ 
          Derivative[ 0, 0, 2][ 
            Phi[ 1]][ x, t, u], 0], 
        Equal[ 
          Derivative[ 1, 0, 0][ 
            Xi[ 2]][ x, t, u], 0], 
        Equal[ 
          Plus[ 
            Derivative[ 0, 1, 0][ 
              Phi[ 1]][ x, t, u], 
            Times[ -1, 
              Derivative[ 2, 0, 0][ 
                Phi[ 1]][ x, t, u]]], 0], 
        Equal[ 
          Plus[ 
            Times[ -1, 
              Derivative[ 0, 1, 0][ 
                Xi[ 1]][ x, t, u]], 
            Times[ -2, 
              Derivative[ 1, 0, 1][ 
                Phi[ 1]][ x, t, u]], 
            Derivative[ 2, 0, 0][ 
              Xi[ 1]][ x, t, u]], 0], 
        Equal[ 
          Plus[ 
            Times[ -1, 
              Derivative[ 0, 1, 0][ 
                Xi[ 2]][ x, t, u]], 
            Times[ 2, 
              Derivative[ 1, 0, 0][ 
                Xi[ 1]][ x, t, u]]], 0]}],
      Editable->False]], "Output"]
}, Open  ]],

Cell["\<\
Innent\[ODoubleAcute]l a megold\[AAcute]s hasonl\[OAcute], mint az el\
\[ODoubleAcute]z\[ODoubleAcute] esetben, csak v\[EAcute]gig a Yalie parancsot \
haszn\[AAcute]ljuk, ebbe \[IAcute]rjuk be a r\[EAcute]szben \
meghat\[AAcute]rozott \[Xi] \[EAcute]s \[Phi] \
f\[UDoubleDot]ggv\[EAcute]nyeket, ahogy ez a k\[ODoubleDot]vetkez\
\[ODoubleAcute] YaLie parancsban is l\[AAcute]that\[OAcute].\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(LXi = {\(Xi[1]\)[x, t], \ \(Xi[2]\)[t]};\)\), "\[IndentingNewLine]", 
    \(\(LPhi = {f[x, t] u + g[x, t]};\)\), "\[IndentingNewLine]", 
    \(EhegyHovez = 
      YaLie[Hovez, Fuggovaltozo, Fuggetlenvaltozok, Kifejezendo, \ LXi, \ 
          LPhi] // ColumnForm\)}], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        RowBox[{
          SuperscriptBox["u", 
            TagBox[\((1, 0)\),
              Derivative],
            MultilineFunction->None], "[", \(x, t\), "]"}], ",", 
        RowBox[{
          SuperscriptBox["u", 
            TagBox[\((1, 1)\),
              Derivative],
            MultilineFunction->None], "[", \(x, t\), "]"}], ",", 
        RowBox[{
          SuperscriptBox["u", 
            TagBox[\((2, 0)\),
              Derivative],
            MultilineFunction->None], "[", \(x, t\), "]"}]}], "}"}]], "Print"],

Cell[BoxData[
    InterpretationBox[GridBox[{
          {"True"},
          {"True"},
          {"True"},
          {"True"},
          {
            RowBox[{
              RowBox[{
                RowBox[{"u", " ", 
                  RowBox[{
                    SuperscriptBox["f", 
                      TagBox[\((0, 1)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, t\), "]"}]}], "+", 
                RowBox[{
                  SuperscriptBox["g", 
                    TagBox[\((0, 1)\),
                      Derivative],
                    MultilineFunction->None], "[", \(x, t\), "]"}], "-", 
                RowBox[{"u", " ", 
                  RowBox[{
                    SuperscriptBox["f", 
                      TagBox[\((2, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, t\), "]"}]}], "-", 
                RowBox[{
                  SuperscriptBox["g", 
                    TagBox[\((2, 0)\),
                      Derivative],
                    MultilineFunction->None], "[", \(x, t\), "]"}]}], 
              "\[Equal]", "0"}]},
          {
            RowBox[{
              RowBox[{
                RowBox[{"-", 
                  RowBox[{
                    SuperscriptBox[\(Xi[1]\), 
                      TagBox[\((0, 1)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, t\), "]"}]}], "-", 
                RowBox[{"2", " ", 
                  RowBox[{
                    SuperscriptBox["f", 
                      TagBox[\((1, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, t\), "]"}]}], "+", 
                RowBox[{
                  SuperscriptBox[\(Xi[1]\), 
                    TagBox[\((2, 0)\),
                      Derivative],
                    MultilineFunction->None], "[", \(x, t\), "]"}]}], 
              "\[Equal]", "0"}]},
          {
            RowBox[{
              RowBox[{
                RowBox[{"-", 
                  RowBox[{
                    SuperscriptBox[\(Xi[2]\), "\[Prime]",
                      MultilineFunction->None], "[", "t", "]"}]}], "+", 
                RowBox[{"2", " ", 
                  RowBox[{
                    SuperscriptBox[\(Xi[1]\), 
                      TagBox[\((1, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, t\), "]"}]}]}], 
              "\[Equal]", "0"}]}
          },
        GridBaseline->{Baseline, {1, 1}},
        ColumnAlignments->{Left}],
      ColumnForm[ {True, True, True, True, 
        Equal[ 
          Plus[ 
            Times[ u, 
              Derivative[ 0, 1][ f][ x, t]], 
            Derivative[ 0, 1][ g][ x, t], 
            Times[ -1, u, 
              Derivative[ 2, 0][ f][ x, t]], 
            Times[ -1, 
              Derivative[ 2, 0][ g][ x, t]]], 0], 
        Equal[ 
          Plus[ 
            Times[ -1, 
              Derivative[ 0, 1][ 
                Xi[ 1]][ x, t]], 
            Times[ -2, 
              Derivative[ 1, 0][ f][ x, t]], 
            Derivative[ 2, 0][ 
              Xi[ 1]][ x, t]], 0], 
        Equal[ 
          Plus[ 
            Times[ -1, 
              Derivative[ 1][ 
                Xi[ 2]][ t]], 
            Times[ 2, 
              Derivative[ 1, 0][ 
                Xi[ 1]][ x, t]]], 0]}],
      Editable->False]], "Output"]
}, Open  ]],

Cell["\<\
Az egyes l\[EAcute]p\[EAcute]seket bemutat\[OAcute] r\[EAcute]szhez hasonl\
\[OAcute]an kell teh\[AAcute]t elj\[AAcute]rni. A sz\[AAcute]mol\[AAcute]s r\
\[EAcute]szleteit nem v\[EAcute]gezz\[UDoubleDot]k el m\[EAcute]g egyszer, \
hanem r\[ODoubleDot]gt\[ODoubleDot]n be\[IAcute]rjuk az ott kisz\[AAcute]molt \
v\[EAcute]geredm\[EAcute]nyt.\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(LXi = {C[4] + C[1]/2\ x + C[3] t + C[2]\ x\ t, \ 
          C[5] + C[1]\ t + C[2] t\^2};\)\), "\[IndentingNewLine]", 
    \(\(LPhi = {\(-\((C[6] + C[3]/2\ x + C[2]/2\ \((x\^2/2 + t)\))\)\) u + 
            g[x, t]};\)\), "\[IndentingNewLine]", 
    \(EhegyHovez = 
      YaLie[Hovez, Fuggovaltozo, Fuggetlenvaltozok, Kifejezendo, \ LXi, \ 
        LPhi]\)}], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        RowBox[{
          SuperscriptBox["u", 
            TagBox[\((1, 0)\),
              Derivative],
            MultilineFunction->None], "[", \(x, t\), "]"}], ",", 
        RowBox[{
          SuperscriptBox["u", 
            TagBox[\((1, 1)\),
              Derivative],
            MultilineFunction->None], "[", \(x, t\), "]"}], ",", 
        RowBox[{
          SuperscriptBox["u", 
            TagBox[\((2, 0)\),
              Derivative],
            MultilineFunction->None], "[", \(x, t\), "]"}]}], "}"}]], "Print"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{"True", ",", "True", ",", "True", ",", "True", ",", 
        RowBox[{
          RowBox[{
            RowBox[{
              SuperscriptBox["g", 
                TagBox[\((0, 1)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, t\), "]"}], "-", 
            RowBox[{
              SuperscriptBox["g", 
                TagBox[\((2, 0)\),
                  Derivative],
                MultilineFunction->None], "[", \(x, t\), "]"}]}], "\[Equal]", 
          "0"}], ",", "True", ",", "True"}], "}"}]], "Output"]
}, Open  ]],

Cell[TextData[{
  StyleBox["L\[AAcute]that\[OAcute], hogy ez az alak \[IAcute]gy is megold\
\[AAcute]snak ad\[OAcute]dik, ha ",
    CellFrame->True],
  Cell[BoxData[
      \(TraditionalForm\`g(x, t)\)]],
  StyleBox[" a h\[ODoubleAcute]vezet\[EAcute]si egyenlet \
tetsz\[ODoubleAcute]leges megold\[AAcute]sa.\n",
    CellFrame->True],
  StyleBox["Teh\[AAcute]t a k\[EAcute]t m\[OAcute]dszer ekvivalens eredm\
\[EAcute]nyre vezet.",
    CellFrame->True,
    Background->GrayLevel[0.833326]]
}], "Text"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[
    StyleBox[\(V . \ Reaktorfizikai\ egyenletek\),
      "Subtitle"]], "Input"]], "Section"],

Cell[CellGroupData[{

Cell["1. K\[EAcute]tcsoport diff\[UAcute]zi\[OAcute]egyenlet", "Subsection"],

Cell["\<\
A reaktorfizika k\[ODoubleDot]zponti egyenlet\[EAcute]nek, a \
transzportegyenletnek sz\[AAcute]mos k\[ODoubleDot]zel\[IAcute]t\
\[ODoubleAcute] megold\[AAcute]sa ismert. Val\[OAcute]di reaktorfizikai sz\
\[AAcute]m\[IAcute]t\[AAcute]sok eset\[EAcute]n ezek k\[ODoubleDot]z\
\[UDoubleDot]l a leggyakrabban a diff\[UAcute]zi\[OAcute]s egyenleteket, azon \
bel\[UDoubleDot]l is a k\[EAcute]tcsoport diff\[UAcute]zi\[OAcute]egyenletet \
alkalmazz\[AAcute]k. Ez a k\[ODoubleDot]zel\[IAcute]t\[EAcute]s m\[EAcute]g \
nem vesz\[EAcute]lyezteti a legt\[ODoubleDot]bb folyamat elvileg helyes le\
\[IAcute]r\[AAcute]s\[AAcute]t, ugyanakkor matematikailag (numerikusan) m\
\[AAcute]r kezelhet\[ODoubleAcute].\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    StyleBox[\(Ketcsoport = {\(-\ 
                    a\)\ \((D[u[x, y], x, x] + D[u[x, y], y, y])\) + 
                c\ u[x, y] - e\ \((g\ u[x, y] + h\ w[x, y])\) == 
              0, \ \(-\ b\) \((D[w[x, y], x, x] + D[w[x, y], y, y])\) + 
                d\ w[x, y] - f\ \((g\ u[x, y] + h\ w[x, y])\) - k\ u[x, y] == 
              0};\),
      FormatType->StandardForm,
      FontFamily->"Courier New"], "\n", 
    StyleBox[\(VDs = {u, w};\),
      FormatType->StandardForm,
      FontFamily->"Courier New"], "\n", 
    StyleBox[\(VIs = {x, y};\),
      FormatType->StandardForm,
      FontFamily->"Courier New"], "\[IndentingNewLine]", 
    StyleBox[\(ParamS[a, b, c, d, e, f, h, k];\),
      FormatType->StandardForm,
      FontFamily->"Courier New"], "\n", 
    StyleBox[\(\(VPs = {u[x, y], \ w[x, y]};\)\(\ \)\),
      FormatType->StandardForm,
      FontFamily->"Courier New"], "\[IndentingNewLine]", 
    RowBox[{
      StyleBox["EgyenletekKetcsoport",
        FormatType->StandardForm,
        FontFamily->"Courier New"], 
      StyleBox["=",
        FormatType->StandardForm,
        FontFamily->"Courier New CE",
        FontSize->12], 
      StyleBox[\(YaLie[Ketcsoport, VDs, VIs, VPs] // ColumnForm\),
        FormatType->StandardForm,
        FontFamily->"Courier New",
        FontSize->12]}]}], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        RowBox[{
          SuperscriptBox["u", 
            TagBox[\((0, 1)\),
              Derivative],
            MultilineFunction->None], "[", \(x, y\), "]"}], ",", 
        RowBox[{
          SuperscriptBox["w", 
            TagBox[\((0, 1)\),
              Derivative],
            MultilineFunction->None], "[", \(x, y\), "]"}], ",", 
        RowBox[{
          SuperscriptBox["u", 
            TagBox[\((0, 2)\),
              Derivative],
            MultilineFunction->None], "[", \(x, y\), "]"}], ",", 
        RowBox[{
          SuperscriptBox["w", 
            TagBox[\((0, 2)\),
              Derivative],
            MultilineFunction->None], "[", \(x, y\), "]"}], ",", 
        RowBox[{
          SuperscriptBox["u", 
            TagBox[\((1, 0)\),
              Derivative],
            MultilineFunction->None], "[", \(x, y\), "]"}], ",", 
        RowBox[{
          SuperscriptBox["w", 
            TagBox[\((1, 0)\),
              Derivative],
            MultilineFunction->None], "[", \(x, y\), "]"}], ",", 
        RowBox[{
          SuperscriptBox["u", 
            TagBox[\((1, 1)\),
              Derivative],
            MultilineFunction->None], "[", \(x, y\), "]"}], ",", 
        RowBox[{
          SuperscriptBox["u", 
            TagBox[\((2, 0)\),
              Derivative],
            MultilineFunction->None], "[", \(x, y\), "]"}], ",", 
        RowBox[{
          SuperscriptBox["w", 
            TagBox[\((2, 0)\),
              Derivative],
            MultilineFunction->None], "[", \(x, y\), "]"}]}], "}"}]], "Print"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        RowBox[{
          SuperscriptBox["u", 
            TagBox[\((0, 1)\),
              Derivative],
            MultilineFunction->None], "[", \(x, y\), "]"}], ",", 
        RowBox[{
          SuperscriptBox["w", 
            TagBox[\((0, 1)\),
              Derivative],
            MultilineFunction->None], "[", \(x, y\), "]"}], ",", 
        RowBox[{
          SuperscriptBox["u", 
            TagBox[\((0, 2)\),
              Derivative],
            MultilineFunction->None], "[", \(x, y\), "]"}], ",", 
        RowBox[{
          SuperscriptBox["w", 
            TagBox[\((0, 2)\),
              Derivative],
            MultilineFunction->None], "[", \(x, y\), "]"}], ",", 
        RowBox[{
          SuperscriptBox["u", 
            TagBox[\((1, 0)\),
              Derivative],
            MultilineFunction->None], "[", \(x, y\), "]"}], ",", 
        RowBox[{
          SuperscriptBox["w", 
            TagBox[\((1, 0)\),
              Derivative],
            MultilineFunction->None], "[", \(x, y\), "]"}], ",", 
        RowBox[{
          SuperscriptBox["w", 
            TagBox[\((1, 1)\),
              Derivative],
            MultilineFunction->None], "[", \(x, y\), "]"}], ",", 
        RowBox[{
          SuperscriptBox["u", 
            TagBox[\((2, 0)\),
              Derivative],
            MultilineFunction->None], "[", \(x, y\), "]"}], ",", 
        RowBox[{
          SuperscriptBox["w", 
            TagBox[\((2, 0)\),
              Derivative],
            MultilineFunction->None], "[", \(x, y\), "]"}]}], "}"}]], "Print"],

Cell[BoxData[
    InterpretationBox[GridBox[{
          {
            RowBox[{
              RowBox[{
                SuperscriptBox[\(Phi[1]\), 
                  TagBox[\((0, 0, 0, 1)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y, u, w\), "]"}], 
              "\[Equal]", "0"}]},
          {
            RowBox[{
              RowBox[{
                SuperscriptBox[\(Xi[1]\), 
                  TagBox[\((0, 0, 0, 1)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y, u, w\), "]"}], 
              "\[Equal]", "0"}]},
          {
            RowBox[{
              RowBox[{
                SuperscriptBox[\(Xi[2]\), 
                  TagBox[\((0, 0, 0, 1)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y, u, w\), "]"}], 
              "\[Equal]", "0"}]},
          {
            RowBox[{
              RowBox[{
                SuperscriptBox[\(Phi[2]\), 
                  TagBox[\((0, 0, 0, 2)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y, u, w\), "]"}], 
              "\[Equal]", "0"}]},
          {
            RowBox[{
              RowBox[{
                SuperscriptBox[\(Phi[2]\), 
                  TagBox[\((0, 0, 1, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y, u, w\), "]"}], 
              "\[Equal]", "0"}]},
          {
            RowBox[{
              RowBox[{
                SuperscriptBox[\(Xi[1]\), 
                  TagBox[\((0, 0, 1, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y, u, w\), "]"}], 
              "\[Equal]", "0"}]},
          {
            RowBox[{
              RowBox[{
                SuperscriptBox[\(Xi[2]\), 
                  TagBox[\((0, 0, 1, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y, u, w\), "]"}], 
              "\[Equal]", "0"}]},
          {
            RowBox[{
              RowBox[{
                SuperscriptBox[\(Phi[1]\), 
                  TagBox[\((0, 0, 2, 0)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, y, u, w\), "]"}], 
              "\[Equal]", "0"}]},
          {
            RowBox[{
              RowBox[{
                RowBox[{\(-a\), " ", 
                  RowBox[{
                    SuperscriptBox[\(Phi[1]\), 
                      TagBox[\((0, 0, 1, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y, u, w\), "]"}]}], 
                "+", 
                RowBox[{"2", " ", "a", " ", 
                  RowBox[{
                    SuperscriptBox[\(Xi[2]\), 
                      TagBox[\((0, 1, 0, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y, u, w\), 
                    "]"}]}]}], "\[Equal]", "0"}]},
          {
            RowBox[{
              RowBox[{
                RowBox[{\(-a\), " ", 
                  RowBox[{
                    SuperscriptBox[\(Phi[1]\), 
                      TagBox[\((0, 0, 1, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y, u, w\), "]"}]}], 
                "+", 
                RowBox[{"2", " ", "a", " ", 
                  RowBox[{
                    SuperscriptBox[\(Xi[1]\), 
                      TagBox[\((1, 0, 0, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y, u, w\), 
                    "]"}]}]}], "\[Equal]", "0"}]},
          {
            RowBox[{
              RowBox[{
                RowBox[{"2", " ", "a", " ", 
                  RowBox[{
                    SuperscriptBox[\(Xi[1]\), 
                      TagBox[\((0, 1, 0, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y, u, w\), "]"}]}], 
                "+", 
                RowBox[{"2", " ", "a", " ", 
                  RowBox[{
                    SuperscriptBox[\(Xi[2]\), 
                      TagBox[\((1, 0, 0, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y, u, w\), 
                    "]"}]}]}], "\[Equal]", "0"}]},
          {
            RowBox[{
              
              RowBox[{\(\((c - e\ g)\)\ \(Phi[1]\)[x, y, u, w]\), 
                "-", \(e\ h\ \(Phi[2]\)[x, y, u, w]\), "-", 
                RowBox[{"a", " ", 
                  RowBox[{
                    SuperscriptBox[\(Phi[1]\), 
                      TagBox[\((0, 2, 0, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y, u, w\), "]"}]}], 
                "-", 
                RowBox[{"a", " ", 
                  RowBox[{
                    SuperscriptBox[\(Phi[1]\), 
                      TagBox[\((2, 0, 0, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y, u, w\), 
                    "]"}]}]}], "\[Equal]", "0"}]},
          {
            RowBox[{
              RowBox[{
                RowBox[{"a", " ", 
                  RowBox[{
                    SuperscriptBox[\(Xi[1]\), 
                      TagBox[\((0, 2, 0, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y, u, w\), "]"}]}], 
                "-", 
                RowBox[{"2", " ", "a", " ", 
                  RowBox[{
                    SuperscriptBox[\(Phi[1]\), 
                      TagBox[\((1, 0, 1, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y, u, w\), "]"}]}], 
                "+", 
                RowBox[{"a", " ", 
                  RowBox[{
                    SuperscriptBox[\(Xi[1]\), 
                      TagBox[\((2, 0, 0, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y, u, w\), 
                    "]"}]}]}], "\[Equal]", "0"}]},
          {
            RowBox[{
              RowBox[{
                RowBox[{\(-2\), " ", "a", " ", 
                  RowBox[{
                    SuperscriptBox[\(Phi[1]\), 
                      TagBox[\((0, 1, 1, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y, u, w\), "]"}]}], 
                "+", 
                RowBox[{"a", " ", 
                  RowBox[{
                    SuperscriptBox[\(Xi[2]\), 
                      TagBox[\((0, 2, 0, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y, u, w\), "]"}]}], 
                "+", 
                RowBox[{"a", " ", 
                  RowBox[{
                    SuperscriptBox[\(Xi[2]\), 
                      TagBox[\((2, 0, 0, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y, u, w\), 
                    "]"}]}]}], "\[Equal]", "0"}]},
          {
            RowBox[{
              RowBox[{
                RowBox[{\(-b\), " ", 
                  RowBox[{
                    SuperscriptBox[\(Phi[2]\), 
                      TagBox[\((0, 0, 0, 1)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y, u, w\), "]"}]}], 
                "+", 
                RowBox[{"2", " ", "b", " ", 
                  RowBox[{
                    SuperscriptBox[\(Xi[2]\), 
                      TagBox[\((0, 1, 0, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y, u, w\), 
                    "]"}]}]}], "\[Equal]", "0"}]},
          {
            RowBox[{
              RowBox[{
                RowBox[{\(-b\), " ", 
                  RowBox[{
                    SuperscriptBox[\(Phi[2]\), 
                      TagBox[\((0, 0, 0, 1)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y, u, w\), "]"}]}], 
                "+", 
                RowBox[{"2", " ", "b", " ", 
                  RowBox[{
                    SuperscriptBox[\(Xi[1]\), 
                      TagBox[\((1, 0, 0, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y, u, w\), 
                    "]"}]}]}], "\[Equal]", "0"}]},
          {
            RowBox[{
              RowBox[{
                RowBox[{"2", " ", "b", " ", 
                  RowBox[{
                    SuperscriptBox[\(Xi[1]\), 
                      TagBox[\((0, 1, 0, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y, u, w\), "]"}]}], 
                "+", 
                RowBox[{"2", " ", "b", " ", 
                  RowBox[{
                    SuperscriptBox[\(Xi[2]\), 
                      TagBox[\((1, 0, 0, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y, u, w\), 
                    "]"}]}]}], "\[Equal]", "0"}]},
          {
            RowBox[{
              
              RowBox[{\(\((\(-f\)\ g - k)\)\ \(Phi[1]\)[x, y, u, w]\), 
                "+", \(\((d - f\ h)\)\ \(Phi[2]\)[x, y, u, w]\), "-", 
                RowBox[{"b", " ", 
                  RowBox[{
                    SuperscriptBox[\(Phi[2]\), 
                      TagBox[\((0, 2, 0, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y, u, w\), "]"}]}], 
                "-", 
                RowBox[{"b", " ", 
                  RowBox[{
                    SuperscriptBox[\(Phi[2]\), 
                      TagBox[\((2, 0, 0, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y, u, w\), 
                    "]"}]}]}], "\[Equal]", "0"}]},
          {
            RowBox[{
              RowBox[{
                RowBox[{"b", " ", 
                  RowBox[{
                    SuperscriptBox[\(Xi[1]\), 
                      TagBox[\((0, 2, 0, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y, u, w\), "]"}]}], 
                "-", 
                RowBox[{"2", " ", "b", " ", 
                  RowBox[{
                    SuperscriptBox[\(Phi[2]\), 
                      TagBox[\((1, 0, 0, 1)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y, u, w\), "]"}]}], 
                "+", 
                RowBox[{"b", " ", 
                  RowBox[{
                    SuperscriptBox[\(Xi[1]\), 
                      TagBox[\((2, 0, 0, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y, u, w\), 
                    "]"}]}]}], "\[Equal]", "0"}]},
          {
            RowBox[{
              RowBox[{
                RowBox[{\(-2\), " ", "b", " ", 
                  RowBox[{
                    SuperscriptBox[\(Phi[2]\), 
                      TagBox[\((0, 1, 0, 1)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y, u, w\), "]"}]}], 
                "+", 
                RowBox[{"b", " ", 
                  RowBox[{
                    SuperscriptBox[\(Xi[2]\), 
                      TagBox[\((0, 2, 0, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y, u, w\), "]"}]}], 
                "+", 
                RowBox[{"b", " ", 
                  RowBox[{
                    SuperscriptBox[\(Xi[2]\), 
                      TagBox[\((2, 0, 0, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y, u, w\), 
                    "]"}]}]}], "\[Equal]", "0"}]}
          },
        GridBaseline->{Baseline, {1, 1}},
        ColumnAlignments->{Left}],
      ColumnForm[ {
        Equal[ 
          Derivative[ 0, 0, 0, 1][ 
            Phi[ 1]][ x, y, u, w], 0], 
        Equal[ 
          Derivative[ 0, 0, 0, 1][ 
            Xi[ 1]][ x, y, u, w], 0], 
        Equal[ 
          Derivative[ 0, 0, 0, 1][ 
            Xi[ 2]][ x, y, u, w], 0], 
        Equal[ 
          Derivative[ 0, 0, 0, 2][ 
            Phi[ 2]][ x, y, u, w], 0], 
        Equal[ 
          Derivative[ 0, 0, 1, 0][ 
            Phi[ 2]][ x, y, u, w], 0], 
        Equal[ 
          Derivative[ 0, 0, 1, 0][ 
            Xi[ 1]][ x, y, u, w], 0], 
        Equal[ 
          Derivative[ 0, 0, 1, 0][ 
            Xi[ 2]][ x, y, u, w], 0], 
        Equal[ 
          Derivative[ 0, 0, 2, 0][ 
            Phi[ 1]][ x, y, u, w], 0], 
        Equal[ 
          Plus[ 
            Times[ -1, a, 
              Derivative[ 0, 0, 1, 0][ 
                Phi[ 1]][ x, y, u, w]], 
            Times[ 2, a, 
              Derivative[ 0, 1, 0, 0][ 
                Xi[ 2]][ x, y, u, w]]], 0], 
        Equal[ 
          Plus[ 
            Times[ -1, a, 
              Derivative[ 0, 0, 1, 0][ 
                Phi[ 1]][ x, y, u, w]], 
            Times[ 2, a, 
              Derivative[ 1, 0, 0, 0][ 
                Xi[ 1]][ x, y, u, w]]], 0], 
        Equal[ 
          Plus[ 
            Times[ 2, a, 
              Derivative[ 0, 1, 0, 0][ 
                Xi[ 1]][ x, y, u, w]], 
            Times[ 2, a, 
              Derivative[ 1, 0, 0, 0][ 
                Xi[ 2]][ x, y, u, w]]], 0], 
        Equal[ 
          Plus[ 
            Times[ 
              Plus[ c, 
                Times[ -1, e, g]], 
              Phi[ 1][ x, y, u, w]], 
            Times[ -1, e, h, 
              Phi[ 2][ x, y, u, w]], 
            Times[ -1, a, 
              Derivative[ 0, 2, 0, 0][ 
                Phi[ 1]][ x, y, u, w]], 
            Times[ -1, a, 
              Derivative[ 2, 0, 0, 0][ 
                Phi[ 1]][ x, y, u, w]]], 0], 
        Equal[ 
          Plus[ 
            Times[ a, 
              Derivative[ 0, 2, 0, 0][ 
                Xi[ 1]][ x, y, u, w]], 
            Times[ -2, a, 
              Derivative[ 1, 0, 1, 0][ 
                Phi[ 1]][ x, y, u, w]], 
            Times[ a, 
              Derivative[ 2, 0, 0, 0][ 
                Xi[ 1]][ x, y, u, w]]], 0], 
        Equal[ 
          Plus[ 
            Times[ -2, a, 
              Derivative[ 0, 1, 1, 0][ 
                Phi[ 1]][ x, y, u, w]], 
            Times[ a, 
              Derivative[ 0, 2, 0, 0][ 
                Xi[ 2]][ x, y, u, w]], 
            Times[ a, 
              Derivative[ 2, 0, 0, 0][ 
                Xi[ 2]][ x, y, u, w]]], 0], 
        Equal[ 
          Plus[ 
            Times[ -1, b, 
              Derivative[ 0, 0, 0, 1][ 
                Phi[ 2]][ x, y, u, w]], 
            Times[ 2, b, 
              Derivative[ 0, 1, 0, 0][ 
                Xi[ 2]][ x, y, u, w]]], 0], 
        Equal[ 
          Plus[ 
            Times[ -1, b, 
              Derivative[ 0, 0, 0, 1][ 
                Phi[ 2]][ x, y, u, w]], 
            Times[ 2, b, 
              Derivative[ 1, 0, 0, 0][ 
                Xi[ 1]][ x, y, u, w]]], 0], 
        Equal[ 
          Plus[ 
            Times[ 2, b, 
              Derivative[ 0, 1, 0, 0][ 
                Xi[ 1]][ x, y, u, w]], 
            Times[ 2, b, 
              Derivative[ 1, 0, 0, 0][ 
                Xi[ 2]][ x, y, u, w]]], 0], 
        Equal[ 
          Plus[ 
            Times[ 
              Plus[ 
                Times[ -1, f, g], 
                Times[ -1, k]], 
              Phi[ 1][ x, y, u, w]], 
            Times[ 
              Plus[ d, 
                Times[ -1, f, h]], 
              Phi[ 2][ x, y, u, w]], 
            Times[ -1, b, 
              Derivative[ 0, 2, 0, 0][ 
                Phi[ 2]][ x, y, u, w]], 
            Times[ -1, b, 
              Derivative[ 2, 0, 0, 0][ 
                Phi[ 2]][ x, y, u, w]]], 0], 
        Equal[ 
          Plus[ 
            Times[ b, 
              Derivative[ 0, 2, 0, 0][ 
                Xi[ 1]][ x, y, u, w]], 
            Times[ -2, b, 
              Derivative[ 1, 0, 0, 1][ 
                Phi[ 2]][ x, y, u, w]], 
            Times[ b, 
              Derivative[ 2, 0, 0, 0][ 
                Xi[ 1]][ x, y, u, w]]], 0], 
        Equal[ 
          Plus[ 
            Times[ -2, b, 
              Derivative[ 0, 1, 0, 1][ 
                Phi[ 2]][ x, y, u, w]], 
            Times[ b, 
              Derivative[ 0, 2, 0, 0][ 
                Xi[ 2]][ x, y, u, w]], 
            Times[ b, 
              Derivative[ 2, 0, 0, 0][ 
                Xi[ 2]][ x, y, u, w]]], 0]}],
      Editable->False]], "Output"]
}, Open  ]],

Cell[TextData[{
  "Az els\[ODoubleAcute] 8 egyenlet alapj\[AAcute]n l\[AAcute]tszik, hogy ",
  Cell[BoxData[
      \(TraditionalForm\`\[Xi]\^\((1)\)\)]],
  " \[EAcute]s ",
  Cell[BoxData[
      \(TraditionalForm\`\[Xi]\^\((2)\)\)]],
  "nem f\[UDoubleDot]gg ",
  Cell[BoxData[
      \(TraditionalForm\`u\)]],
  "-t\[OAcute]l \[EAcute]s ",
  Cell[BoxData[
      \(TraditionalForm\`v\)]],
  "-t\[ODoubleAcute]l, ",
  Cell[BoxData[
      \(TraditionalForm\`\[Phi]\^\((1)\)\)]],
  "nem f\[UDoubleDot]gg ",
  Cell[BoxData[
      \(TraditionalForm\`w\)]],
  "-t\[ODoubleAcute]l \[EAcute]s ",
  Cell[BoxData[
      \(TraditionalForm\`u\)]],
  "-t\[OAcute]l is csak line\[AAcute]risan,  ",
  Cell[BoxData[
      \(TraditionalForm\`\[Phi]\^\((2)\)\)]],
  "pedig nem f\[UDoubleDot]gg ",
  Cell[BoxData[
      \(TraditionalForm\`u\)]],
  "-t\[OAcute]l \[EAcute]s ",
  Cell[BoxData[
      \(TraditionalForm\`w\)]],
  "-t\[ODoubleAcute]l is csak line\[AAcute]risan."
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    StyleBox[\(LXi = {\(Xi[1]\)[x, y], \ \(Xi[2]\)[x, y]};\),
      FormatType->StandardForm,
      FontFamily->"Courier New"], "\n", 
    StyleBox[\(LPhi = {\(f[1]\)[x, y] u + \(f[4]\)[x, y], \(f[1]\)[x, y] 
                w + \(f[2]\)[x, y]};\),
      FormatType->StandardForm,
      FontFamily->"Courier New"], "\n", 
    StyleBox[\(EgyenletekKetcsoport = 
        YaLie[Ketcsoport, VDs, VIs, VPs, \ LXi, \ LPhi] // ColumnForm\),
      FormatType->StandardForm,
      FontFamily->"Courier New"]}], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        RowBox[{
          SuperscriptBox["u", 
            TagBox[\((0, 1)\),
              Derivative],
            MultilineFunction->None], "[", \(x, y\), "]"}], ",", 
        RowBox[{
          SuperscriptBox["w", 
            TagBox[\((0, 1)\),
              Derivative],
            MultilineFunction->None], "[", \(x, y\), "]"}], ",", 
        RowBox[{
          SuperscriptBox["u", 
            TagBox[\((0, 2)\),
              Derivative],
            MultilineFunction->None], "[", \(x, y\), "]"}], ",", 
        RowBox[{
          SuperscriptBox["w", 
            TagBox[\((0, 2)\),
              Derivative],
            MultilineFunction->None], "[", \(x, y\), "]"}], ",", 
        RowBox[{
          SuperscriptBox["u", 
            TagBox[\((1, 0)\),
              Derivative],
            MultilineFunction->None], "[", \(x, y\), "]"}], ",", 
        RowBox[{
          SuperscriptBox["w", 
            TagBox[\((1, 0)\),
              Derivative],
            MultilineFunction->None], "[", \(x, y\), "]"}], ",", 
        RowBox[{
          SuperscriptBox["u", 
            TagBox[\((1, 1)\),
              Derivative],
            MultilineFunction->None], "[", \(x, y\), "]"}], ",", 
        RowBox[{
          SuperscriptBox["u", 
            TagBox[\((2, 0)\),
              Derivative],
            MultilineFunction->None], "[", \(x, y\), "]"}], ",", 
        RowBox[{
          SuperscriptBox["w", 
            TagBox[\((2, 0)\),
              Derivative],
            MultilineFunction->None], "[", \(x, y\), "]"}]}], "}"}]], "Print"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        RowBox[{
          SuperscriptBox["u", 
            TagBox[\((0, 1)\),
              Derivative],
            MultilineFunction->None], "[", \(x, y\), "]"}], ",", 
        RowBox[{
          SuperscriptBox["w", 
            TagBox[\((0, 1)\),
              Derivative],
            MultilineFunction->None], "[", \(x, y\), "]"}], ",", 
        RowBox[{
          SuperscriptBox["u", 
            TagBox[\((0, 2)\),
              Derivative],
            MultilineFunction->None], "[", \(x, y\), "]"}], ",", 
        RowBox[{
          SuperscriptBox["w", 
            TagBox[\((0, 2)\),
              Derivative],
            MultilineFunction->None], "[", \(x, y\), "]"}], ",", 
        RowBox[{
          SuperscriptBox["u", 
            TagBox[\((1, 0)\),
              Derivative],
            MultilineFunction->None], "[", \(x, y\), "]"}], ",", 
        RowBox[{
          SuperscriptBox["w", 
            TagBox[\((1, 0)\),
              Derivative],
            MultilineFunction->None], "[", \(x, y\), "]"}], ",", 
        RowBox[{
          SuperscriptBox["w", 
            TagBox[\((1, 1)\),
              Derivative],
            MultilineFunction->None], "[", \(x, y\), "]"}], ",", 
        RowBox[{
          SuperscriptBox["u", 
            TagBox[\((2, 0)\),
              Derivative],
            MultilineFunction->None], "[", \(x, y\), "]"}], ",", 
        RowBox[{
          SuperscriptBox["w", 
            TagBox[\((2, 0)\),
              Derivative],
            MultilineFunction->None], "[", \(x, y\), "]"}]}], "}"}]], "Print"],

Cell[BoxData[
    InterpretationBox[GridBox[{
          {"True"},
          {"True"},
          {"True"},
          {"True"},
          {"True"},
          {"True"},
          {"True"},
          {"True"},
          {
            RowBox[{
              RowBox[{\(\(-a\)\ \(f[1]\)[x, y]\), "+", 
                RowBox[{"2", " ", "a", " ", 
                  RowBox[{
                    SuperscriptBox[\(Xi[2]\), 
                      TagBox[\((0, 1)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}]}]}], 
              "\[Equal]", "0"}]},
          {
            RowBox[{
              RowBox[{\(\(-a\)\ \(f[1]\)[x, y]\), "+", 
                RowBox[{"2", " ", "a", " ", 
                  RowBox[{
                    SuperscriptBox[\(Xi[1]\), 
                      TagBox[\((1, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}]}]}], 
              "\[Equal]", "0"}]},
          {
            RowBox[{
              RowBox[{
                RowBox[{"2", " ", "a", " ", 
                  RowBox[{
                    SuperscriptBox[\(Xi[1]\), 
                      TagBox[\((0, 1)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}]}], "+", 
                RowBox[{"2", " ", "a", " ", 
                  RowBox[{
                    SuperscriptBox[\(Xi[2]\), 
                      TagBox[\((1, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}]}]}], 
              "\[Equal]", "0"}]},
          {
            RowBox[{
              
              RowBox[{\(c\ u\ \(f[1]\)[x, y]\), 
                "-", \(e\ g\ u\ \(f[1]\)[x, y]\), 
                "-", \(e\ h\ w\ \(f[1]\)[x, y]\), 
                "-", \(e\ h\ \(f[2]\)[x, y]\), "+", \(c\ \(f[4]\)[x, y]\), 
                "-", \(e\ g\ \(f[4]\)[x, y]\), "-", 
                RowBox[{"a", " ", "u", " ", 
                  RowBox[{
                    SuperscriptBox[\(f[1]\), 
                      TagBox[\((0, 2)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}]}], "-", 
                RowBox[{"a", " ", 
                  RowBox[{
                    SuperscriptBox[\(f[4]\), 
                      TagBox[\((0, 2)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}]}], "-", 
                RowBox[{"a", " ", "u", " ", 
                  RowBox[{
                    SuperscriptBox[\(f[1]\), 
                      TagBox[\((2, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}]}], "-", 
                RowBox[{"a", " ", 
                  RowBox[{
                    SuperscriptBox[\(f[4]\), 
                      TagBox[\((2, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}]}]}], 
              "\[Equal]", "0"}]},
          {
            RowBox[{
              RowBox[{
                RowBox[{"a", " ", 
                  RowBox[{
                    SuperscriptBox[\(Xi[1]\), 
                      TagBox[\((0, 2)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}]}], "-", 
                RowBox[{"2", " ", "a", " ", 
                  RowBox[{
                    SuperscriptBox[\(f[1]\), 
                      TagBox[\((1, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}]}], "+", 
                RowBox[{"a", " ", 
                  RowBox[{
                    SuperscriptBox[\(Xi[1]\), 
                      TagBox[\((2, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}]}]}], 
              "\[Equal]", "0"}]},
          {
            RowBox[{
              RowBox[{
                RowBox[{\(-2\), " ", "a", " ", 
                  RowBox[{
                    SuperscriptBox[\(f[1]\), 
                      TagBox[\((0, 1)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}]}], "+", 
                RowBox[{"a", " ", 
                  RowBox[{
                    SuperscriptBox[\(Xi[2]\), 
                      TagBox[\((0, 2)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}]}], "+", 
                RowBox[{"a", " ", 
                  RowBox[{
                    SuperscriptBox[\(Xi[2]\), 
                      TagBox[\((2, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}]}]}], 
              "\[Equal]", "0"}]},
          {
            RowBox[{
              RowBox[{\(\(-b\)\ \(f[1]\)[x, y]\), "+", 
                RowBox[{"2", " ", "b", " ", 
                  RowBox[{
                    SuperscriptBox[\(Xi[2]\), 
                      TagBox[\((0, 1)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}]}]}], 
              "\[Equal]", "0"}]},
          {
            RowBox[{
              RowBox[{\(\(-b\)\ \(f[1]\)[x, y]\), "+", 
                RowBox[{"2", " ", "b", " ", 
                  RowBox[{
                    SuperscriptBox[\(Xi[1]\), 
                      TagBox[\((1, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}]}]}], 
              "\[Equal]", "0"}]},
          {
            RowBox[{
              RowBox[{
                RowBox[{"2", " ", "b", " ", 
                  RowBox[{
                    SuperscriptBox[\(Xi[1]\), 
                      TagBox[\((0, 1)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}]}], "+", 
                RowBox[{"2", " ", "b", " ", 
                  RowBox[{
                    SuperscriptBox[\(Xi[2]\), 
                      TagBox[\((1, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}]}]}], 
              "\[Equal]", "0"}]},
          {
            RowBox[{
              
              RowBox[{\(\(-f\)\ g\ u\ \(f[1]\)[x, y]\), 
                "-", \(k\ u\ \(f[1]\)[x, y]\), "+", \(d\ w\ \(f[1]\)[x, y]\), 
                "-", \(f\ h\ w\ \(f[1]\)[x, y]\), "+", \(d\ \(f[2]\)[x, y]\), 
                "-", \(f\ h\ \(f[2]\)[x, y]\), "-", \(f\ g\ \(f[4]\)[x, y]\), 
                "-", \(k\ \(f[4]\)[x, y]\), "-", 
                RowBox[{"b", " ", "w", " ", 
                  RowBox[{
                    SuperscriptBox[\(f[1]\), 
                      TagBox[\((0, 2)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}]}], "-", 
                RowBox[{"b", " ", 
                  RowBox[{
                    SuperscriptBox[\(f[2]\), 
                      TagBox[\((0, 2)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}]}], "-", 
                RowBox[{"b", " ", "w", " ", 
                  RowBox[{
                    SuperscriptBox[\(f[1]\), 
                      TagBox[\((2, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}]}], "-", 
                RowBox[{"b", " ", 
                  RowBox[{
                    SuperscriptBox[\(f[2]\), 
                      TagBox[\((2, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}]}]}], 
              "\[Equal]", "0"}]},
          {
            RowBox[{
              RowBox[{
                RowBox[{"b", " ", 
                  RowBox[{
                    SuperscriptBox[\(Xi[1]\), 
                      TagBox[\((0, 2)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}]}], "-", 
                RowBox[{"2", " ", "b", " ", 
                  RowBox[{
                    SuperscriptBox[\(f[1]\), 
                      TagBox[\((1, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}]}], "+", 
                RowBox[{"b", " ", 
                  RowBox[{
                    SuperscriptBox[\(Xi[1]\), 
                      TagBox[\((2, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}]}]}], 
              "\[Equal]", "0"}]},
          {
            RowBox[{
              RowBox[{
                RowBox[{\(-2\), " ", "b", " ", 
                  RowBox[{
                    SuperscriptBox[\(f[1]\), 
                      TagBox[\((0, 1)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}]}], "+", 
                RowBox[{"b", " ", 
                  RowBox[{
                    SuperscriptBox[\(Xi[2]\), 
                      TagBox[\((0, 2)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}]}], "+", 
                RowBox[{"b", " ", 
                  RowBox[{
                    SuperscriptBox[\(Xi[2]\), 
                      TagBox[\((2, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}]}]}], 
              "\[Equal]", "0"}]}
          },
        GridBaseline->{Baseline, {1, 1}},
        ColumnAlignments->{Left}],
      ColumnForm[ {True, True, True, True, True, True, True, True, 
        Equal[ 
          Plus[ 
            Times[ -1, a, 
              f[ 1][ x, y]], 
            Times[ 2, a, 
              Derivative[ 0, 1][ 
                Xi[ 2]][ x, y]]], 0], 
        Equal[ 
          Plus[ 
            Times[ -1, a, 
              f[ 1][ x, y]], 
            Times[ 2, a, 
              Derivative[ 1, 0][ 
                Xi[ 1]][ x, y]]], 0], 
        Equal[ 
          Plus[ 
            Times[ 2, a, 
              Derivative[ 0, 1][ 
                Xi[ 1]][ x, y]], 
            Times[ 2, a, 
              Derivative[ 1, 0][ 
                Xi[ 2]][ x, y]]], 0], 
        Equal[ 
          Plus[ 
            Times[ c, u, 
              f[ 1][ x, y]], 
            Times[ -1, e, g, u, 
              f[ 1][ x, y]], 
            Times[ -1, e, h, w, 
              f[ 1][ x, y]], 
            Times[ -1, e, h, 
              f[ 2][ x, y]], 
            Times[ c, 
              f[ 4][ x, y]], 
            Times[ -1, e, g, 
              f[ 4][ x, y]], 
            Times[ -1, a, u, 
              Derivative[ 0, 2][ 
                f[ 1]][ x, y]], 
            Times[ -1, a, 
              Derivative[ 0, 2][ 
                f[ 4]][ x, y]], 
            Times[ -1, a, u, 
              Derivative[ 2, 0][ 
                f[ 1]][ x, y]], 
            Times[ -1, a, 
              Derivative[ 2, 0][ 
                f[ 4]][ x, y]]], 0], 
        Equal[ 
          Plus[ 
            Times[ a, 
              Derivative[ 0, 2][ 
                Xi[ 1]][ x, y]], 
            Times[ -2, a, 
              Derivative[ 1, 0][ 
                f[ 1]][ x, y]], 
            Times[ a, 
              Derivative[ 2, 0][ 
                Xi[ 1]][ x, y]]], 0], 
        Equal[ 
          Plus[ 
            Times[ -2, a, 
              Derivative[ 0, 1][ 
                f[ 1]][ x, y]], 
            Times[ a, 
              Derivative[ 0, 2][ 
                Xi[ 2]][ x, y]], 
            Times[ a, 
              Derivative[ 2, 0][ 
                Xi[ 2]][ x, y]]], 0], 
        Equal[ 
          Plus[ 
            Times[ -1, b, 
              f[ 1][ x, y]], 
            Times[ 2, b, 
              Derivative[ 0, 1][ 
                Xi[ 2]][ x, y]]], 0], 
        Equal[ 
          Plus[ 
            Times[ -1, b, 
              f[ 1][ x, y]], 
            Times[ 2, b, 
              Derivative[ 1, 0][ 
                Xi[ 1]][ x, y]]], 0], 
        Equal[ 
          Plus[ 
            Times[ 2, b, 
              Derivative[ 0, 1][ 
                Xi[ 1]][ x, y]], 
            Times[ 2, b, 
              Derivative[ 1, 0][ 
                Xi[ 2]][ x, y]]], 0], 
        Equal[ 
          Plus[ 
            Times[ -1, f, g, u, 
              f[ 1][ x, y]], 
            Times[ -1, k, u, 
              f[ 1][ x, y]], 
            Times[ d, w, 
              f[ 1][ x, y]], 
            Times[ -1, f, h, w, 
              f[ 1][ x, y]], 
            Times[ d, 
              f[ 2][ x, y]], 
            Times[ -1, f, h, 
              f[ 2][ x, y]], 
            Times[ -1, f, g, 
              f[ 4][ x, y]], 
            Times[ -1, k, 
              f[ 4][ x, y]], 
            Times[ -1, b, w, 
              Derivative[ 0, 2][ 
                f[ 1]][ x, y]], 
            Times[ -1, b, 
              Derivative[ 0, 2][ 
                f[ 2]][ x, y]], 
            Times[ -1, b, w, 
              Derivative[ 2, 0][ 
                f[ 1]][ x, y]], 
            Times[ -1, b, 
              Derivative[ 2, 0][ 
                f[ 2]][ x, y]]], 0], 
        Equal[ 
          Plus[ 
            Times[ b, 
              Derivative[ 0, 2][ 
                Xi[ 1]][ x, y]], 
            Times[ -2, b, 
              Derivative[ 1, 0][ 
                f[ 1]][ x, y]], 
            Times[ b, 
              Derivative[ 2, 0][ 
                Xi[ 1]][ x, y]]], 0], 
        Equal[ 
          Plus[ 
            Times[ -2, b, 
              Derivative[ 0, 1][ 
                f[ 1]][ x, y]], 
            Times[ b, 
              Derivative[ 0, 2][ 
                Xi[ 2]][ x, y]], 
            Times[ b, 
              Derivative[ 2, 0][ 
                Xi[ 2]][ x, y]]], 0]}],
      Editable->False]], "Output"]
}, Open  ]],

Cell[TextData[{
  "Az els\[ODoubleAcute] k\[EAcute]t egyenletet egym\[AAcute]sb\[OAcute]l \
kivonva azt kapjuk, hogy ",
  Cell[BoxData[
      \(TraditionalForm\`\[PartialD]\[Xi]\^\((1)\)\/\[PartialD]x = \
\[PartialD]\[Xi]\^\((2)\)\/\[PartialD]y\)]],
  ". A harmadik egyenlet szerint: ",
  Cell[BoxData[
      \(TraditionalForm\`\[PartialD]\[Xi]\^\((1)\)\/\[PartialD]y = \(-\(\
\[PartialD]\[Xi]\^\((2)\)\/\[PartialD]x\)\)\)]],
  ". Az el\[ODoubleAcute]bbi \[ODoubleDot]sszef\[UDoubleDot]gg\[EAcute]st ",
  Cell[BoxData[
      \(TraditionalForm\`x\)]],
  "szerint, az ut\[OAcute]bbi ",
  Cell[BoxData[
      \(TraditionalForm\`y\)]],
  "szerint deriv\[AAcute]lva \[EAcute]s \[ODoubleDot]sszeadva a kett\
\[ODoubleAcute]t azt kapjuk, hogy \[CapitalDelta]",
  Cell[BoxData[
      \(TraditionalForm\`\[Xi]\^\((1)\) = 0\)]],
  ". Hasonl\[OAcute]an juthatunk a \[CapitalDelta]",
  Cell[BoxData[
      \(TraditionalForm\`\[Xi]\^\((2)\) = 0\)]],
  " \[ODoubleDot]sszef\[UDoubleDot]gg\[EAcute]shez is. Ezek viszont az 5. \
\[EAcute]s 6. egyenlet alapj\[AAcute]n azt jelentik, hogy ",
  Cell[BoxData[
      \(TraditionalForm\`\(f[1]\)[x, y]\)]],
  " nem f\[UDoubleDot]gg sem ",
  Cell[BoxData[
      \(TraditionalForm\`x\)]],
  "-t\[ODoubleAcute]l sem ",
  Cell[BoxData[
      \(TraditionalForm\`y\)]],
  "-t\[OAcute]l, vagyis konstans. (Jel\[ODoubleDot]l\[EAcute]s\[EAcute]re a \
tov\[AAcute]bbiakban az F[1] szimb\[OAcute]lumot haszn\[AAcute]ljuk.) Ebb\
\[ODoubleAcute]l viszont megszor\[IAcute]t\[AAcute]sok \
k\[ODoubleDot]vetkeznek ",
  Cell[BoxData[
      \(TraditionalForm\`\[Xi]\^\((1)\)\)]],
  "-re \[EAcute]s ",
  Cell[BoxData[
      \(TraditionalForm\`\[Xi]\^\((2)\)\)]],
  "-re is. ",
  Cell[BoxData[
      \(TraditionalForm\`\[Xi]\^\((1)\)\)]],
  " line\[AAcute]ris ",
  Cell[BoxData[
      \(TraditionalForm\`x\)]],
  "-ben \[EAcute]s az ar\[AAcute]nyoss\[AAcute]gi t\[EAcute]nyez\
\[ODoubleAcute]je ",
  Cell[BoxData[
      \(TraditionalForm\`\(1\/2\) F[1]\)]],
  ". Mivel  \[CapitalDelta]",
  Cell[BoxData[
      \(TraditionalForm\`\[Xi]\^\((1)\) = 0\)]],
  ", ez\[EAcute]rt ",
  Cell[BoxData[
      \(TraditionalForm\`y\)]],
  "-ban is line\[AAcute]ris, az ar\[AAcute]nyoss\[AAcute]gi t\[EAcute]nyez\
\[ODoubleAcute] legyen K[1]! Ugyanilyen megfontol\[AAcute]sok \
alapj\[AAcute]n, kihaszn\[AAcute]lva a deriv\[AAcute]ltak k\[ODoubleDot]zti \
\[ODoubleDot]sszef\[UDoubleDot]gg\[EAcute]st, f\[ODoubleDot]l\[IAcute]rhat\
\[OAcute]  ",
  Cell[BoxData[
      \(TraditionalForm\`\[Xi]\^\((2)\)\)]],
  "hasonl\[OAcute] alakja is."
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    StyleBox[\(ParamS[F[1], K[1], K[2], K[3]];\),
      FontFamily->"Courier New"], "\[IndentingNewLine]", 
    StyleBox[\(LXi = {1/2\ F[1]\ x + K[1]\ y + K[2], 
            1/2\ F[1]\ y - K[1]\ x + K[3]};\),
      FontFamily->"Courier New"], "\[IndentingNewLine]", 
    StyleBox[\(LPhi = {F[1]\ u + \(f[4]\)[x, y], F[1]\ w + \(f[2]\)[x, y]};\),
      
      FontFamily->"Courier New"], "\n", 
    StyleBox[\(EDsKetcsoport = 
        YaLie[Ketcsoport, VDs, VIs, VPs, \ LXi, \ LPhi] // ColumnForm\),
      FontFamily->"Courier New"]}], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        RowBox[{
          SuperscriptBox["u", 
            TagBox[\((0, 1)\),
              Derivative],
            MultilineFunction->None], "[", \(x, y\), "]"}], ",", 
        RowBox[{
          SuperscriptBox["w", 
            TagBox[\((0, 1)\),
              Derivative],
            MultilineFunction->None], "[", \(x, y\), "]"}], ",", 
        RowBox[{
          SuperscriptBox["u", 
            TagBox[\((0, 2)\),
              Derivative],
            MultilineFunction->None], "[", \(x, y\), "]"}], ",", 
        RowBox[{
          SuperscriptBox["w", 
            TagBox[\((0, 2)\),
              Derivative],
            MultilineFunction->None], "[", \(x, y\), "]"}], ",", 
        RowBox[{
          SuperscriptBox["u", 
            TagBox[\((1, 0)\),
              Derivative],
            MultilineFunction->None], "[", \(x, y\), "]"}], ",", 
        RowBox[{
          SuperscriptBox["w", 
            TagBox[\((1, 0)\),
              Derivative],
            MultilineFunction->None], "[", \(x, y\), "]"}], ",", 
        RowBox[{
          SuperscriptBox["u", 
            TagBox[\((1, 1)\),
              Derivative],
            MultilineFunction->None], "[", \(x, y\), "]"}], ",", 
        RowBox[{
          SuperscriptBox["u", 
            TagBox[\((2, 0)\),
              Derivative],
            MultilineFunction->None], "[", \(x, y\), "]"}], ",", 
        RowBox[{
          SuperscriptBox["w", 
            TagBox[\((2, 0)\),
              Derivative],
            MultilineFunction->None], "[", \(x, y\), "]"}]}], "}"}]], "Print"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        RowBox[{
          SuperscriptBox["u", 
            TagBox[\((0, 1)\),
              Derivative],
            MultilineFunction->None], "[", \(x, y\), "]"}], ",", 
        RowBox[{
          SuperscriptBox["w", 
            TagBox[\((0, 1)\),
              Derivative],
            MultilineFunction->None], "[", \(x, y\), "]"}], ",", 
        RowBox[{
          SuperscriptBox["u", 
            TagBox[\((0, 2)\),
              Derivative],
            MultilineFunction->None], "[", \(x, y\), "]"}], ",", 
        RowBox[{
          SuperscriptBox["w", 
            TagBox[\((0, 2)\),
              Derivative],
            MultilineFunction->None], "[", \(x, y\), "]"}], ",", 
        RowBox[{
          SuperscriptBox["u", 
            TagBox[\((1, 0)\),
              Derivative],
            MultilineFunction->None], "[", \(x, y\), "]"}], ",", 
        RowBox[{
          SuperscriptBox["w", 
            TagBox[\((1, 0)\),
              Derivative],
            MultilineFunction->None], "[", \(x, y\), "]"}], ",", 
        RowBox[{
          SuperscriptBox["w", 
            TagBox[\((1, 1)\),
              Derivative],
            MultilineFunction->None], "[", \(x, y\), "]"}], ",", 
        RowBox[{
          SuperscriptBox["u", 
            TagBox[\((2, 0)\),
              Derivative],
            MultilineFunction->None], "[", \(x, y\), "]"}], ",", 
        RowBox[{
          SuperscriptBox["w", 
            TagBox[\((2, 0)\),
              Derivative],
            MultilineFunction->None], "[", \(x, y\), "]"}]}], "}"}]], "Print"],

Cell[BoxData[
    InterpretationBox[GridBox[{
          {"True"},
          {"True"},
          {"True"},
          {"True"},
          {"True"},
          {"True"},
          {"True"},
          {"True"},
          {"True"},
          {"True"},
          {"True"},
          {
            RowBox[{
              
              RowBox[{\(c\ u\ F[1]\), "-", \(e\ g\ u\ F[1]\), 
                "-", \(e\ h\ w\ F[1]\), "-", \(e\ h\ \(f[2]\)[x, y]\), 
                "+", \(c\ \(f[4]\)[x, y]\), "-", \(e\ g\ \(f[4]\)[x, y]\), 
                "-", 
                RowBox[{"a", " ", 
                  RowBox[{
                    SuperscriptBox[\(f[4]\), 
                      TagBox[\((0, 2)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}]}], "-", 
                RowBox[{"a", " ", 
                  RowBox[{
                    SuperscriptBox[\(f[4]\), 
                      TagBox[\((2, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}]}]}], 
              "\[Equal]", "0"}]},
          {"True"},
          {"True"},
          {"True"},
          {"True"},
          {"True"},
          {
            RowBox[{
              
              RowBox[{\(\(-f\)\ g\ u\ F[1]\), "-", \(k\ u\ F[1]\), 
                "+", \(d\ w\ F[1]\), "-", \(f\ h\ w\ F[1]\), 
                "+", \(d\ \(f[2]\)[x, y]\), "-", \(f\ h\ \(f[2]\)[x, y]\), 
                "-", \(f\ g\ \(f[4]\)[x, y]\), "-", \(k\ \(f[4]\)[x, y]\), 
                "-", 
                RowBox[{"b", " ", 
                  RowBox[{
                    SuperscriptBox[\(f[2]\), 
                      TagBox[\((0, 2)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}]}], "-", 
                RowBox[{"b", " ", 
                  RowBox[{
                    SuperscriptBox[\(f[2]\), 
                      TagBox[\((2, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, y\), "]"}]}]}], 
              "\[Equal]", "0"}]},
          {"True"},
          {"True"}
          },
        GridBaseline->{Baseline, {1, 1}},
        ColumnAlignments->{Left}],
      ColumnForm[ {True, True, True, True, True, True, True, True, True, True,
         True, 
        Equal[ 
          Plus[ 
            Times[ c, u, 
              F[ 1]], 
            Times[ -1, e, g, u, 
              F[ 1]], 
            Times[ -1, e, h, w, 
              F[ 1]], 
            Times[ -1, e, h, 
              f[ 2][ x, y]], 
            Times[ c, 
              f[ 4][ x, y]], 
            Times[ -1, e, g, 
              f[ 4][ x, y]], 
            Times[ -1, a, 
              Derivative[ 0, 2][ 
                f[ 4]][ x, y]], 
            Times[ -1, a, 
              Derivative[ 2, 0][ 
                f[ 4]][ x, y]]], 0], True, True, True, True, True, 
        Equal[ 
          Plus[ 
            Times[ -1, f, g, u, 
              F[ 1]], 
            Times[ -1, k, u, 
              F[ 1]], 
            Times[ d, w, 
              F[ 1]], 
            Times[ -1, f, h, w, 
              F[ 1]], 
            Times[ d, 
              f[ 2][ x, y]], 
            Times[ -1, f, h, 
              f[ 2][ x, y]], 
            Times[ -1, f, g, 
              f[ 4][ x, y]], 
            Times[ -1, k, 
              f[ 4][ x, y]], 
            Times[ -1, b, 
              Derivative[ 0, 2][ 
                f[ 2]][ x, y]], 
            Times[ -1, b, 
              Derivative[ 2, 0][ 
                f[ 2]][ x, y]]], 0], True, True}],
      Editable->False]], "Output"]
}, Open  ]],

Cell[TextData[{
  "Ezek alapj\[AAcute]n meghat\[AAcute]rozhat\[OAcute]k a \
gener\[AAcute]torok:\n",
  Cell[BoxData[
      \(TraditionalForm\`v\+_\_1 = \[PartialD]\_x\)]],
  "\t\t\t\t\t",
  StyleBox["K[2] alapj\[AAcute]n\t\t\teltol\[AAcute]s ",
    CellFrame->True],
  Cell[BoxData[
      \(TraditionalForm\`x\)]],
  StyleBox[" ir\[AAcute]nyba",
    CellFrame->True],
  "\n",
  Cell[BoxData[
      \(TraditionalForm\`v\+_\_2 = \[PartialD]\_y\)]],
  "\t\t\t\t\tK[3] alapj\[AAcute]n\t\t\teltol\[AAcute]s ",
  Cell[BoxData[
      \(TraditionalForm\`y\)]],
  " ir\[AAcute]nyba\n",
  Cell[BoxData[
      \(TraditionalForm\`v\+_\_3 = \(1\/2\) x \[PartialD]\_x\(+\(1\/2\)\) 
          y\ \[PartialD]\_y\(+u\) \[PartialD]\_u\(+w\) \[PartialD]\_w\)]],
  "\t\tF[1] alapj\[AAcute]n\t\t\tsk\[AAcute]l\[AAcute]z\[AAcute]s\n",
  Cell[BoxData[
      \(TraditionalForm\`v\+_\_4 = y \[PartialD]\_x\(-x\) \[PartialD]\_y\)]],
  "\t\t\t\tK[1] alapj\[AAcute]n\t\t\tforgat\[AAcute]s\n",
  Cell[BoxData[
      \(TraditionalForm\`v\+_\_\(f[4]\) = \(f[4]\)[x, y]\ \[PartialD]\_u\)]],
  "\t\t\t\tf[4][x,y] alapj\[AAcute]n\t\tlinearit\[AAcute]s\n",
  Cell[BoxData[
      \(TraditionalForm\`v\+_\_\(f[2]\) = \(f[2]\)[x, y]\ \[PartialD]\_w\)]],
  "\t\t\t\tf[2][x,y] alapj\[AAcute]n\t\tlinearit\[AAcute]s",
  StyleBox["\n\n",
    CellFrame->True],
  StyleBox["A k\[EAcute]tcsoport diff\[UAcute]zi\[OAcute]s egyenletek \
szimmetriacsoportja teh\[AAcute]t: eltol\[AAcute]s, forgat\[AAcute]s, sk\
\[AAcute]l\[AAcute]z\[AAcute]s, linearit\[AAcute]s.\n",
    CellFrame->True,
    Background->GrayLevel[0.833326]]
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["2. Egycsoport transzportegyenlet", "Subsection"],

Cell[CellGroupData[{

Cell["El\[ODoubleAcute]sz\[OAcute]", "Subsubsection"],

Cell["\<\
Ha nem akarunk vagy nem tudunk a diff\[UAcute]zi\[OAcute]s k\[ODoubleDot]zel\
\[IAcute]t\[EAcute]ssel \[EAcute]lni, akkor \
megpr\[OAcute]b\[AAcute]lkozhatunk mag\[AAcute]val a transzportegyenlettel c\
\[EAcute]lhoz \[EAcute]rni. Ennek kapcs\[AAcute]n bemutatjuk a program haszn\
\[AAcute]lhat\[OAcute]s\[AAcute]g\[AAcute]nak egy \
krit\[EAcute]rium\[AAcute]t, ami hat\[AAcute]rt szab az alkalmaz\[AAcute]si \
lehet\[ODoubleAcute]s\[EAcute]geknek. H\[AAcute]rom esetet vizsg\[AAcute]lunk \
meg. A v\[EAcute]gletekig egyszer\[UDoubleAcute]s\[IAcute]tett 1 dimenzi\
\[OAcute]s, homog\[EAcute]n, energiav\[AAcute]ltoz\[OAcute]t nem tartalmaz\
\[OAcute] esetet, ugyanennek 2 dimenzi\[OAcute]s v\[AAcute]ltozat\[AAcute]t, \
\[EAcute]s a m\[EAcute]g mindig nagyon komoly \
egyszer\[UDoubleAcute]s\[IAcute]t\[EAcute]seket tartalmaz\[OAcute] 1 dimenzi\
\[OAcute]s inhomog\[EAcute]n esetet. C\[EAcute]lunk most nem kifejezetten a \
szimmetri\[AAcute]k meghat\[AAcute]roz\[AAcute]sa, hanem a m\[OAcute]dszer \
alkalmazhat\[OAcute]s\[AAcute]gi hat\[AAcute]r\[AAcute]nak \
demonstr\[AAcute]ci\[OAcute]ja.\
\>", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["1 dimenzi\[OAcute], homog\[EAcute]n eset", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(EgydimHom = {\(-\[CapitalOmega]\)\ D[\[Psi][x, \[CapitalOmega]], 
                  x] + \[Psi][x, \[CapitalOmega]] \[Equal] 
            0};\)\), "\[IndentingNewLine]", 
    \(\(VD = {\[Psi]};\)\), "\[IndentingNewLine]", 
    \(\(VIs = {x, \[CapitalOmega]};\)\), "\[IndentingNewLine]", 
    \(\(VP = {\[Psi][x, \[CapitalOmega]]};\)\), "\[IndentingNewLine]", 
    \(EDsEgydimHom = YaLie[EgydimHom, VD, VIs, VP] // ColumnForm\)}], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        RowBox[{
          SuperscriptBox["\[Psi]", 
            TagBox[\((0, 1)\),
              Derivative],
            MultilineFunction->None], "[", \(x, \[CapitalOmega]\), "]"}], ",",
         
        RowBox[{
          SuperscriptBox["\[Psi]", 
            TagBox[\((1, 0)\),
              Derivative],
            MultilineFunction->None], "[", \(x, \[CapitalOmega]\), "]"}]}], 
      "}"}]], "Print"],

Cell[BoxData[
    InterpretationBox[GridBox[{
          {
            RowBox[{
              RowBox[{
                SuperscriptBox[\(Xi[1]\), 
                  TagBox[\((0, 0, 1)\),
                    Derivative],
                  MultilineFunction->None], 
                "[", \(x, \[CapitalOmega], \[Psi]\), "]"}], "\[Equal]", 
              "0"}]},
          {
            RowBox[{
              RowBox[{
                SuperscriptBox[\(Xi[2]\), 
                  TagBox[\((0, 0, 1)\),
                    Derivative],
                  MultilineFunction->None], 
                "[", \(x, \[CapitalOmega], \[Psi]\), "]"}], "\[Equal]", 
              "0"}]},
          {
            RowBox[{
              RowBox[{
                SuperscriptBox[\(Xi[2]\), 
                  TagBox[\((1, 0, 0)\),
                    Derivative],
                  MultilineFunction->None], 
                "[", \(x, \[CapitalOmega], \[Psi]\), "]"}], "\[Equal]", 
              "0"}]},
          {
            RowBox[{
              RowBox[{\(\(Phi[1]\)[x, \[CapitalOmega], \[Psi]]\), "-", 
                RowBox[{"\[CapitalOmega]", " ", 
                  RowBox[{
                    SuperscriptBox[\(Phi[1]\), 
                      TagBox[\((1, 0, 0)\),
                        Derivative],
                      MultilineFunction->None], 
                    "[", \(x, \[CapitalOmega], \[Psi]\), "]"}]}]}], 
              "\[Equal]", "0"}]},
          {
            RowBox[{
              RowBox[{\(-\(Xi[2]\)[x, \[CapitalOmega], \[Psi]]\), "-", 
                RowBox[{"\[CapitalOmega]", " ", 
                  RowBox[{
                    SuperscriptBox[\(Phi[1]\), 
                      TagBox[\((0, 0, 1)\),
                        Derivative],
                      MultilineFunction->None], 
                    "[", \(x, \[CapitalOmega], \[Psi]\), "]"}]}], "+", 
                RowBox[{"\[CapitalOmega]", " ", 
                  RowBox[{
                    SuperscriptBox[\(Xi[1]\), 
                      TagBox[\((1, 0, 0)\),
                        Derivative],
                      MultilineFunction->None], 
                    "[", \(x, \[CapitalOmega], \[Psi]\), "]"}]}]}], 
              "\[Equal]", "0"}]}
          },
        GridBaseline->{Baseline, {1, 1}},
        ColumnAlignments->{Left}],
      ColumnForm[ {
        Equal[ 
          Derivative[ 0, 0, 1][ 
            Xi[ 1]][ x, \[CapitalOmega], \[Psi]], 0], 
        Equal[ 
          Derivative[ 0, 0, 1][ 
            Xi[ 2]][ x, \[CapitalOmega], \[Psi]], 0], 
        Equal[ 
          Derivative[ 1, 0, 0][ 
            Xi[ 2]][ x, \[CapitalOmega], \[Psi]], 0], 
        Equal[ 
          Plus[ 
            Phi[ 1][ x, \[CapitalOmega], \[Psi]], 
            Times[ -1, \[CapitalOmega], 
              Derivative[ 1, 0, 0][ 
                Phi[ 1]][ x, \[CapitalOmega], \[Psi]]]], 0], 
        Equal[ 
          Plus[ 
            Times[ -1, 
              Xi[ 2][ x, \[CapitalOmega], \[Psi]]], 
            Times[ -1, \[CapitalOmega], 
              Derivative[ 0, 0, 1][ 
                Phi[ 1]][ x, \[CapitalOmega], \[Psi]]], 
            Times[ \[CapitalOmega], 
              Derivative[ 1, 0, 0][ 
                Xi[ 1]][ x, \[CapitalOmega], \[Psi]]]], 0]}],
      Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(LXi = {\(Xi[1]\)[
            x, \[CapitalOmega]], \ \(Xi[
              2]\)[\[CapitalOmega]]};\)\), "\[IndentingNewLine]", 
    \(\(LPhi = {Phi[
            x, \[CapitalOmega], \[Psi]]};\)\), "\[IndentingNewLine]", 
    \(EDsEgydimHom = 
      YaLie[EgydimHom, VD, VIs, VP, LXi, LPhi] // ColumnForm\)}], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        RowBox[{
          SuperscriptBox["\[Psi]", 
            TagBox[\((0, 1)\),
              Derivative],
            MultilineFunction->None], "[", \(x, \[CapitalOmega]\), "]"}], ",",
         
        RowBox[{
          SuperscriptBox["\[Psi]", 
            TagBox[\((1, 0)\),
              Derivative],
            MultilineFunction->None], "[", \(x, \[CapitalOmega]\), "]"}]}], 
      "}"}]], "Print"],

Cell[BoxData[
    InterpretationBox[GridBox[{
          {"True"},
          {"True"},
          {"True"},
          {
            RowBox[{
              RowBox[{\(Phi[x, \[CapitalOmega], \[Psi]]\), "-", 
                RowBox[{"\[CapitalOmega]", " ", 
                  RowBox[{
                    SuperscriptBox["Phi", 
                      TagBox[\((1, 0, 0)\),
                        Derivative],
                      MultilineFunction->None], 
                    "[", \(x, \[CapitalOmega], \[Psi]\), "]"}]}]}], 
              "\[Equal]", "0"}]},
          {
            RowBox[{
              RowBox[{\(-\(Xi[2]\)[\[CapitalOmega]]\), "+", 
                RowBox[{"\[CapitalOmega]", " ", 
                  RowBox[{
                    SuperscriptBox[\(Xi[1]\), 
                      TagBox[\((1, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, \[CapitalOmega]\), 
                    "]"}]}], "-", 
                RowBox[{"\[CapitalOmega]", " ", 
                  RowBox[{
                    SuperscriptBox["Phi", 
                      TagBox[\((0, 0, 1)\),
                        Derivative],
                      MultilineFunction->None], 
                    "[", \(x, \[CapitalOmega], \[Psi]\), "]"}]}]}], 
              "\[Equal]", "0"}]}
          },
        GridBaseline->{Baseline, {1, 1}},
        ColumnAlignments->{Left}],
      ColumnForm[ {True, True, True, 
        Equal[ 
          Plus[ 
            Phi[ x, \[CapitalOmega], \[Psi]], 
            Times[ -1, \[CapitalOmega], 
              Derivative[ 1, 0, 0][ Phi][ x, \[CapitalOmega], \[Psi]]]], 0], 
        Equal[ 
          Plus[ 
            Times[ -1, 
              Xi[ 2][ \[CapitalOmega]]], 
            Times[ \[CapitalOmega], 
              Derivative[ 1, 0][ 
                Xi[ 1]][ x, \[CapitalOmega]]], 
            Times[ -1, \[CapitalOmega], 
              Derivative[ 0, 0, 1][ Phi][ x, \[CapitalOmega], \[Psi]]]], 0]}],
      
      Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(LXi = {\(Xi[1]\)[
            x, \[CapitalOmega]], \ \(Xi[
              2]\)[\[CapitalOmega]]};\)\), "\[IndentingNewLine]", 
    \(\(LPhi = {C\ f[\[Psi]]\ \[ExponentialE]\^\(x\/\[CapitalOmega]\)};\)\), \
"\[IndentingNewLine]", 
    \(\(ParamS[C];\)\), "\[IndentingNewLine]", 
    \(EDsEgydimHom = 
      YaLie[EgydimHom, VD, VIs, VP, LXi, LPhi] // ColumnForm\)}], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        RowBox[{
          SuperscriptBox["\[Psi]", 
            TagBox[\((0, 1)\),
              Derivative],
            MultilineFunction->None], "[", \(x, \[CapitalOmega]\), "]"}], ",",
         
        RowBox[{
          SuperscriptBox["\[Psi]", 
            TagBox[\((1, 0)\),
              Derivative],
            MultilineFunction->None], "[", \(x, \[CapitalOmega]\), "]"}]}], 
      "}"}]], "Print"],

Cell[BoxData[
    InterpretationBox[GridBox[{
          {"True"},
          {"True"},
          {"True"},
          {"True"},
          {
            RowBox[{
              RowBox[{\(-\(Xi[2]\)[\[CapitalOmega]]\), "-", 
                RowBox[{
                "C", " ", \(\[ExponentialE]\^\(x/\[CapitalOmega]\)\), " ", 
                  "\[CapitalOmega]", " ", 
                  RowBox[{
                    SuperscriptBox["f", "\[Prime]",
                      MultilineFunction->None], "[", "\[Psi]", "]"}]}], "+", 
                RowBox[{"\[CapitalOmega]", " ", 
                  RowBox[{
                    SuperscriptBox[\(Xi[1]\), 
                      TagBox[\((1, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, \[CapitalOmega]\), 
                    "]"}]}]}], "\[Equal]", "0"}]}
          },
        GridBaseline->{Baseline, {1, 1}},
        ColumnAlignments->{Left}],
      ColumnForm[ {True, True, True, True, 
        Equal[ 
          Plus[ 
            Times[ -1, 
              Xi[ 2][ \[CapitalOmega]]], 
            Times[ -1, C, 
              Power[ E, 
                Times[ x, 
                  Power[ \[CapitalOmega], -1]]], \[CapitalOmega], 
              Derivative[ 1][ f][ \[Psi]]], 
            Times[ \[CapitalOmega], 
              Derivative[ 1, 0][ 
                Xi[ 1]][ x, \[CapitalOmega]]]], 0]}],
      Editable->False]], "Output"]
}, Open  ]],

Cell[TextData[StyleBox["Itt teh\[AAcute]t elvileg m\[UDoubleAcute]k\
\[ODoubleDot]dhet a m\[OAcute]dszer.",
  CellFrame->True,
  Background->GrayLevel[0.833326]]], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["2 dimenzi\[OAcute], homog\[EAcute]n eset", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(KetdimHom = {\(-\[CapitalOmega]x\)\ D[\[Psi][x, 
                    y, \[CapitalOmega]x, \[CapitalOmega]y], 
                  x] - \[CapitalOmega]y\ D[\[Psi][x, 
                    y, \[CapitalOmega]x, \[CapitalOmega]y], y]\  + \[Psi][x, 
                y, \[CapitalOmega]x, \[CapitalOmega]y] \[Equal] 
            0};\)\), "\[IndentingNewLine]", 
    \(\(VD = {\[Psi]};\)\), "\[IndentingNewLine]", 
    \(\(VIs = {x, 
          y, \[CapitalOmega]x, \[CapitalOmega]y};\)\), "\[IndentingNewLine]", \

    \(\(VP = {\[Psi][x, 
            y, \[CapitalOmega]x, \[CapitalOmega]y]};\)\), \
"\[IndentingNewLine]", 
    \(EDsKetdimHom = YaLie[KetdimHom, VD, VIs, VP] // ColumnForm\)}], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        RowBox[{
          SuperscriptBox["\[Psi]", 
            TagBox[\((0, 0, 0, 1)\),
              Derivative],
            MultilineFunction->None], "[", \(x, 
          y, \[CapitalOmega]x, \[CapitalOmega]y\), "]"}], ",", 
        RowBox[{
          SuperscriptBox["\[Psi]", 
            TagBox[\((0, 0, 1, 0)\),
              Derivative],
            MultilineFunction->None], "[", \(x, 
          y, \[CapitalOmega]x, \[CapitalOmega]y\), "]"}], ",", 
        RowBox[{
          SuperscriptBox["\[Psi]", 
            TagBox[\((0, 1, 0, 0)\),
              Derivative],
            MultilineFunction->None], "[", \(x, 
          y, \[CapitalOmega]x, \[CapitalOmega]y\), "]"}], ",", 
        RowBox[{
          SuperscriptBox["\[Psi]", 
            TagBox[\((1, 0, 0, 0)\),
              Derivative],
            MultilineFunction->None], "[", \(x, 
          y, \[CapitalOmega]x, \[CapitalOmega]y\), "]"}]}], "}"}]], "Print"],

Cell[BoxData[
    InterpretationBox[GridBox[{
          {
            RowBox[{
              RowBox[{
                SuperscriptBox[\(Xi[1]\), 
                  TagBox[\((0, 0, 0, 0, 1)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, 
                y, \[CapitalOmega]x, \[CapitalOmega]y, \[Psi]\), "]"}], 
              "\[Equal]", "0"}]},
          {
            RowBox[{
              RowBox[{
                SuperscriptBox[\(Xi[2]\), 
                  TagBox[\((0, 0, 0, 0, 1)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, 
                y, \[CapitalOmega]x, \[CapitalOmega]y, \[Psi]\), "]"}], 
              "\[Equal]", "0"}]},
          {
            RowBox[{
              RowBox[{
                SuperscriptBox[\(Xi[3]\), 
                  TagBox[\((0, 0, 0, 0, 1)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, 
                y, \[CapitalOmega]x, \[CapitalOmega]y, \[Psi]\), "]"}], 
              "\[Equal]", "0"}]},
          {
            RowBox[{
              RowBox[{
                SuperscriptBox[\(Xi[4]\), 
                  TagBox[\((0, 0, 0, 0, 1)\),
                    Derivative],
                  MultilineFunction->None], "[", \(x, 
                y, \[CapitalOmega]x, \[CapitalOmega]y, \[Psi]\), "]"}], 
              "\[Equal]", "0"}]},
          {
            RowBox[{
              
              RowBox[{\(\(Phi[1]\)[x, 
                  y, \[CapitalOmega]x, \[CapitalOmega]y, \[Psi]]\), "-", 
                RowBox[{"\[CapitalOmega]y", " ", 
                  RowBox[{
                    SuperscriptBox[\(Phi[1]\), 
                      TagBox[\((0, 1, 0, 0, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, 
                    y, \[CapitalOmega]x, \[CapitalOmega]y, \[Psi]\), "]"}]}], 
                "-", 
                RowBox[{"\[CapitalOmega]x", " ", 
                  RowBox[{
                    SuperscriptBox[\(Phi[1]\), 
                      TagBox[\((1, 0, 0, 0, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, 
                    y, \[CapitalOmega]x, \[CapitalOmega]y, \[Psi]\), 
                    "]"}]}]}], "\[Equal]", "0"}]},
          {
            RowBox[{
              
              RowBox[{\(-\(Xi[3]\)[x, 
                    y, \[CapitalOmega]x, \[CapitalOmega]y, \[Psi]]\), "-", 
                RowBox[{"\[CapitalOmega]x", " ", 
                  RowBox[{
                    SuperscriptBox[\(Phi[1]\), 
                      TagBox[\((0, 0, 0, 0, 1)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, 
                    y, \[CapitalOmega]x, \[CapitalOmega]y, \[Psi]\), "]"}]}], 
                "+", 
                RowBox[{"\[CapitalOmega]y", " ", 
                  RowBox[{
                    SuperscriptBox[\(Xi[1]\), 
                      TagBox[\((0, 1, 0, 0, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, 
                    y, \[CapitalOmega]x, \[CapitalOmega]y, \[Psi]\), "]"}]}], 
                "+", 
                RowBox[{"\[CapitalOmega]x", " ", 
                  RowBox[{
                    SuperscriptBox[\(Xi[1]\), 
                      TagBox[\((1, 0, 0, 0, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, 
                    y, \[CapitalOmega]x, \[CapitalOmega]y, \[Psi]\), 
                    "]"}]}]}], "\[Equal]", "0"}]},
          {
            RowBox[{
              
              RowBox[{\(-\(Xi[4]\)[x, 
                    y, \[CapitalOmega]x, \[CapitalOmega]y, \[Psi]]\), "-", 
                RowBox[{"\[CapitalOmega]y", " ", 
                  RowBox[{
                    SuperscriptBox[\(Phi[1]\), 
                      TagBox[\((0, 0, 0, 0, 1)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, 
                    y, \[CapitalOmega]x, \[CapitalOmega]y, \[Psi]\), "]"}]}], 
                "+", 
                RowBox[{"\[CapitalOmega]y", " ", 
                  RowBox[{
                    SuperscriptBox[\(Xi[2]\), 
                      TagBox[\((0, 1, 0, 0, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, 
                    y, \[CapitalOmega]x, \[CapitalOmega]y, \[Psi]\), "]"}]}], 
                "+", 
                RowBox[{"\[CapitalOmega]x", " ", 
                  RowBox[{
                    SuperscriptBox[\(Xi[2]\), 
                      TagBox[\((1, 0, 0, 0, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, 
                    y, \[CapitalOmega]x, \[CapitalOmega]y, \[Psi]\), 
                    "]"}]}]}], "\[Equal]", "0"}]},
          {
            RowBox[{
              RowBox[{
                RowBox[{"\[CapitalOmega]y", " ", 
                  RowBox[{
                    SuperscriptBox[\(Xi[3]\), 
                      TagBox[\((0, 1, 0, 0, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, 
                    y, \[CapitalOmega]x, \[CapitalOmega]y, \[Psi]\), "]"}]}], 
                "+", 
                RowBox[{"\[CapitalOmega]x", " ", 
                  RowBox[{
                    SuperscriptBox[\(Xi[3]\), 
                      TagBox[\((1, 0, 0, 0, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, 
                    y, \[CapitalOmega]x, \[CapitalOmega]y, \[Psi]\), 
                    "]"}]}]}], "\[Equal]", "0"}]},
          {
            RowBox[{
              RowBox[{
                RowBox[{"\[CapitalOmega]y", " ", 
                  RowBox[{
                    SuperscriptBox[\(Xi[4]\), 
                      TagBox[\((0, 1, 0, 0, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, 
                    y, \[CapitalOmega]x, \[CapitalOmega]y, \[Psi]\), "]"}]}], 
                "+", 
                RowBox[{"\[CapitalOmega]x", " ", 
                  RowBox[{
                    SuperscriptBox[\(Xi[4]\), 
                      TagBox[\((1, 0, 0, 0, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, 
                    y, \[CapitalOmega]x, \[CapitalOmega]y, \[Psi]\), 
                    "]"}]}]}], "\[Equal]", "0"}]}
          },
        GridBaseline->{Baseline, {1, 1}},
        ColumnAlignments->{Left}],
      ColumnForm[ {
        Equal[ 
          Derivative[ 0, 0, 0, 0, 1][ 
            Xi[ 1]][ x, y, \[CapitalOmega]x, \[CapitalOmega]y, \[Psi]], 0], 
        Equal[ 
          Derivative[ 0, 0, 0, 0, 1][ 
            Xi[ 2]][ x, y, \[CapitalOmega]x, \[CapitalOmega]y, \[Psi]], 0], 
        Equal[ 
          Derivative[ 0, 0, 0, 0, 1][ 
            Xi[ 3]][ x, y, \[CapitalOmega]x, \[CapitalOmega]y, \[Psi]], 0], 
        Equal[ 
          Derivative[ 0, 0, 0, 0, 1][ 
            Xi[ 4]][ x, y, \[CapitalOmega]x, \[CapitalOmega]y, \[Psi]], 0], 
        Equal[ 
          Plus[ 
            Phi[ 1][ x, y, \[CapitalOmega]x, \[CapitalOmega]y, \[Psi]], 
            Times[ -1, \[CapitalOmega]y, 
              Derivative[ 0, 1, 0, 0, 0][ 
                Phi[ 1]][ x, y, \[CapitalOmega]x, \[CapitalOmega]y, \[Psi]]], 
            
            Times[ -1, \[CapitalOmega]x, 
              Derivative[ 1, 0, 0, 0, 0][ 
                Phi[ 1]][ x, y, \[CapitalOmega]x, \[CapitalOmega]y, \[Psi]]]],
           0], 
        Equal[ 
          Plus[ 
            Times[ -1, 
              Xi[ 3][ x, y, \[CapitalOmega]x, \[CapitalOmega]y, \[Psi]]], 
            Times[ -1, \[CapitalOmega]x, 
              Derivative[ 0, 0, 0, 0, 1][ 
                Phi[ 1]][ x, y, \[CapitalOmega]x, \[CapitalOmega]y, \[Psi]]], 
            
            Times[ \[CapitalOmega]y, 
              Derivative[ 0, 1, 0, 0, 0][ 
                Xi[ 1]][ x, y, \[CapitalOmega]x, \[CapitalOmega]y, \[Psi]]], 
            Times[ \[CapitalOmega]x, 
              Derivative[ 1, 0, 0, 0, 0][ 
                Xi[ 1]][ x, y, \[CapitalOmega]x, \[CapitalOmega]y, \[Psi]]]], 
          0], 
        Equal[ 
          Plus[ 
            Times[ -1, 
              Xi[ 4][ x, y, \[CapitalOmega]x, \[CapitalOmega]y, \[Psi]]], 
            Times[ -1, \[CapitalOmega]y, 
              Derivative[ 0, 0, 0, 0, 1][ 
                Phi[ 1]][ x, y, \[CapitalOmega]x, \[CapitalOmega]y, \[Psi]]], 
            
            Times[ \[CapitalOmega]y, 
              Derivative[ 0, 1, 0, 0, 0][ 
                Xi[ 2]][ x, y, \[CapitalOmega]x, \[CapitalOmega]y, \[Psi]]], 
            Times[ \[CapitalOmega]x, 
              Derivative[ 1, 0, 0, 0, 0][ 
                Xi[ 2]][ x, y, \[CapitalOmega]x, \[CapitalOmega]y, \[Psi]]]], 
          0], 
        Equal[ 
          Plus[ 
            Times[ \[CapitalOmega]y, 
              Derivative[ 0, 1, 0, 0, 0][ 
                Xi[ 3]][ x, y, \[CapitalOmega]x, \[CapitalOmega]y, \[Psi]]], 
            Times[ \[CapitalOmega]x, 
              Derivative[ 1, 0, 0, 0, 0][ 
                Xi[ 3]][ x, y, \[CapitalOmega]x, \[CapitalOmega]y, \[Psi]]]], 
          0], 
        Equal[ 
          Plus[ 
            Times[ \[CapitalOmega]y, 
              Derivative[ 0, 1, 0, 0, 0][ 
                Xi[ 4]][ x, y, \[CapitalOmega]x, \[CapitalOmega]y, \[Psi]]], 
            Times[ \[CapitalOmega]x, 
              Derivative[ 1, 0, 0, 0, 0][ 
                Xi[ 4]][ x, y, \[CapitalOmega]x, \[CapitalOmega]y, \[Psi]]]], 
          0]}],
      Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(LXi = {\(Xi[1]\)[x, 
            y, \[CapitalOmega]x, \[CapitalOmega]y], \ \(Xi[2]\)[x, 
            y, \[CapitalOmega]x, \[CapitalOmega]y], \(Xi[3]\)[x, 
            y, \[CapitalOmega]x, \[CapitalOmega]y], \(Xi[4]\)[x, 
            y, \[CapitalOmega]x, \[CapitalOmega]y]};\)\), \
"\[IndentingNewLine]", 
    \(\(LPhi = {Phi[x, 
            y, \[CapitalOmega]x, \[CapitalOmega]y, \[Psi]]};\)\), "\
\[IndentingNewLine]", 
    \(EDsKetdimHom = 
      YaLie[KetdimHom, VD, VIs, VP, LXi, LPhi] // ColumnForm\)}], "Input"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{
        RowBox[{
          SuperscriptBox["\[Psi]", 
            TagBox[\((0, 0, 0, 1)\),
              Derivative],
            MultilineFunction->None], "[", \(x, 
          y, \[CapitalOmega]x, \[CapitalOmega]y\), "]"}], ",", 
        RowBox[{
          SuperscriptBox["\[Psi]", 
            TagBox[\((0, 0, 1, 0)\),
              Derivative],
            MultilineFunction->None], "[", \(x, 
          y, \[CapitalOmega]x, \[CapitalOmega]y\), "]"}], ",", 
        RowBox[{
          SuperscriptBox["\[Psi]", 
            TagBox[\((0, 1, 0, 0)\),
              Derivative],
            MultilineFunction->None], "[", \(x, 
          y, \[CapitalOmega]x, \[CapitalOmega]y\), "]"}], ",", 
        RowBox[{
          SuperscriptBox["\[Psi]", 
            TagBox[\((1, 0, 0, 0)\),
              Derivative],
            MultilineFunction->None], "[", \(x, 
          y, \[CapitalOmega]x, \[CapitalOmega]y\), "]"}]}], "}"}]], "Print"],

Cell[BoxData[
    InterpretationBox[GridBox[{
          {"True"},
          {"True"},
          {"True"},
          {"True"},
          {
            RowBox[{
              
              RowBox[{\(Phi[x, 
                  y, \[CapitalOmega]x, \[CapitalOmega]y, \[Psi]]\), "-", 
                RowBox[{"\[CapitalOmega]y", " ", 
                  RowBox[{
                    SuperscriptBox["Phi", 
                      TagBox[\((0, 1, 0, 0, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, 
                    y, \[CapitalOmega]x, \[CapitalOmega]y, \[Psi]\), "]"}]}], 
                "-", 
                RowBox[{"\[CapitalOmega]x", " ", 
                  RowBox[{
                    SuperscriptBox["Phi", 
                      TagBox[\((1, 0, 0, 0, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, 
                    y, \[CapitalOmega]x, \[CapitalOmega]y, \[Psi]\), 
                    "]"}]}]}], "\[Equal]", "0"}]},
          {
            RowBox[{
              
              RowBox[{\(-\(Xi[3]\)[x, 
                    y, \[CapitalOmega]x, \[CapitalOmega]y]\), "+", 
                RowBox[{"\[CapitalOmega]y", " ", 
                  RowBox[{
                    SuperscriptBox[\(Xi[1]\), 
                      TagBox[\((0, 1, 0, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, 
                    y, \[CapitalOmega]x, \[CapitalOmega]y\), "]"}]}], "+", 
                RowBox[{"\[CapitalOmega]x", " ", 
                  RowBox[{
                    SuperscriptBox[\(Xi[1]\), 
                      TagBox[\((1, 0, 0, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, 
                    y, \[CapitalOmega]x, \[CapitalOmega]y\), "]"}]}], "-", 
                RowBox[{"\[CapitalOmega]x", " ", 
                  RowBox[{
                    SuperscriptBox["Phi", 
                      TagBox[\((0, 0, 0, 0, 1)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, 
                    y, \[CapitalOmega]x, \[CapitalOmega]y, \[Psi]\), 
                    "]"}]}]}], "\[Equal]", "0"}]},
          {
            RowBox[{
              
              RowBox[{\(-\(Xi[4]\)[x, 
                    y, \[CapitalOmega]x, \[CapitalOmega]y]\), "+", 
                RowBox[{"\[CapitalOmega]y", " ", 
                  RowBox[{
                    SuperscriptBox[\(Xi[2]\), 
                      TagBox[\((0, 1, 0, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, 
                    y, \[CapitalOmega]x, \[CapitalOmega]y\), "]"}]}], "+", 
                RowBox[{"\[CapitalOmega]x", " ", 
                  RowBox[{
                    SuperscriptBox[\(Xi[2]\), 
                      TagBox[\((1, 0, 0, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, 
                    y, \[CapitalOmega]x, \[CapitalOmega]y\), "]"}]}], "-", 
                RowBox[{"\[CapitalOmega]y", " ", 
                  RowBox[{
                    SuperscriptBox["Phi", 
                      TagBox[\((0, 0, 0, 0, 1)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, 
                    y, \[CapitalOmega]x, \[CapitalOmega]y, \[Psi]\), 
                    "]"}]}]}], "\[Equal]", "0"}]},
          {
            RowBox[{
              RowBox[{
                RowBox[{"\[CapitalOmega]y", " ", 
                  RowBox[{
                    SuperscriptBox[\(Xi[3]\), 
                      TagBox[\((0, 1, 0, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, 
                    y, \[CapitalOmega]x, \[CapitalOmega]y\), "]"}]}], "+", 
                RowBox[{"\[CapitalOmega]x", " ", 
                  RowBox[{
                    SuperscriptBox[\(Xi[3]\), 
                      TagBox[\((1, 0, 0, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, 
                    y, \[CapitalOmega]x, \[CapitalOmega]y\), "]"}]}]}], 
              "\[Equal]", "0"}]},
          {
            RowBox[{
              RowBox[{
                RowBox[{"\[CapitalOmega]y", " ", 
                  RowBox[{
                    SuperscriptBox[\(Xi[4]\), 
                      TagBox[\((0, 1, 0, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, 
                    y, \[CapitalOmega]x, \[CapitalOmega]y\), "]"}]}], "+", 
                RowBox[{"\[CapitalOmega]x", " ", 
                  RowBox[{
                    SuperscriptBox[\(Xi[4]\), 
                      TagBox[\((1, 0, 0, 0)\),
                        Derivative],
                      MultilineFunction->None], "[", \(x, 
                    y, \[CapitalOmega]x, \[CapitalOmega]y\), "]"}]}]}], 
              "\[Equal]", "0"}]}
          },
        GridBaseline->{Baseline, {1, 1}},
        ColumnAlignments->{Left}],
      ColumnForm[ {True, True, True, True, 
        Equal[ 
          Plus[ 
            Phi[ x, y, \[CapitalOmega]x, \[CapitalOmega]y, \[Psi]], 
            Times[ -1, \[CapitalOmega]y, 
              Derivative[ 0, 1, 0, 0, 0][ Phi][ 
              x, y, \[CapitalOmega]x, \[CapitalOmega]y, \[Psi]]], 
            Times[ -1, \[CapitalOmega]x, 
              Derivative[ 1, 0, 0, 0, 0][ Phi][ 
              x, y, \[CapitalOmega]x, \[CapitalOmega]y, \[Psi]]]], 0], 
        Equal[ 
          Plus[ 
            Times[ -1, 
              Xi[ 3][ x, y, \[CapitalOmega]x, \[CapitalOmega]y]], 
            Times[ \[CapitalOmega]y, 
              Derivative[ 0, 1, 0, 0][ 
                Xi[ 1]][ x, y, \[CapitalOmega]x, \[CapitalOmega]y]], 
            Times[ \[CapitalOmega]x, 
              Derivative[ 1, 0, 0, 0][ 
                Xi[ 1]][ x, y, \[CapitalOmega]x, \[CapitalOmega]y]], 
            Times[ -1, \[CapitalOmega]x, 
              Derivative[ 0, 0, 0, 0, 1][ Phi][ 
              x, y, \[CapitalOmega]x, \[CapitalOmega]y, \[Psi]]]], 0], 
        Equal[ 
          Plus[ 
            Times[ -1, 
              Xi[ 4][ x, y, \[CapitalOmega]x, \[CapitalOmega]y]], 
            Times[ \[CapitalOmega]y, 
              Derivative[ 0, 1, 0, 0][ 
                Xi[ 2]][ x, y, \[CapitalOmega]x, \[CapitalOmega]y]], 
            Times[ \[CapitalOmega]x, 
              Derivative[ 1, 0, 0, 0][ 
                Xi[ 2]][ x, y, \[CapitalOmega]x, \[CapitalOmega]y]], 
            Times[ -1, \[CapitalOmega]y, 
              Derivative[ 0, 0, 0, 0, 1][ Phi][ 
              x, y, \[CapitalOmega]x, \[CapitalOmega]y, \[Psi]]]], 0], 
        Equal[ 
          Plus[ 
            Times[ \[CapitalOmega]y, 
              Derivative[ 0, 1, 0, 0][ 
                Xi[ 3]][ x, y, \[CapitalOmega]x, \[CapitalOmega]y]], 
            Times[ \[CapitalOmega]x, 
              Derivative[ 1, 0, 0, 0][ 
                Xi[ 3]][ x, y, \[CapitalOmega]x, \[CapitalOmega]y]]], 0], 
        Equal[ 
          Plus[ 
            Times[ \[CapitalOmega]y, 
              Derivative[ 0, 1, 0, 0][ 
                Xi[ 4]][ x, y, \[CapitalOmega]x, \[CapitalOmega]y]], 
            Times[ \[CapitalOmega]x, 
              Derivative[ 1, 0, 0, 0][ 
                Xi[ 4]][ x, y, \[CapitalOmega]x, \[CapitalOmega]y]]], 0]}],
      Editable->False]], "Output"]
}, Open  ]],

Cell[TextData[StyleBox["M\[EAcute]g itt sem kil\[AAcute]t\[AAcute]stalan a \
helyzet, a konkr\[EAcute]t megold\[AAcute]s azonban m\[AAcute]r nehezebb.",
  CellFrame->True,
  Background->GrayLevel[0.833326]]], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["1 dimenzi\[OAcute], inhomog\[EAcute]n eset", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(EgydimInhom = {\(-\[CapitalOmega]\)\ D[\[Psi][x, \[CapitalOmega]], 
                  x] + \[Psi][x, \[CapitalOmega]] - 
              c\/2\ \(\[Integral]\_\(-1\)\%1 \[Psi][
                      x, \[CapitalOmega]] \[DifferentialD]\[CapitalOmega]\) \
\[Equal] 0};\)\), "\[IndentingNewLine]", 
    \(\(VD = {\[Psi]};\)\), "\[IndentingNewLine]", 
    \(\(VIs = {x, \[CapitalOmega]};\)\), "\[IndentingNewLine]", 
    \(\(VP = {\[Psi][x, \[CapitalOmega]]};\)\), "\[IndentingNewLine]", 
    \(\(ParamS[c];\)\), "\[IndentingNewLine]", 
    \(EDsEgydimInhom = 
      YaLie[EgydimInhom, VD, VIs, VP] // ColumnForm\)}], "Input"],

Cell[BoxData[
    RowBox[{\(Solve::"tdep"\), \(\(:\)\(\ \)\), "\<\"The equations appear to \
involve the variables to be solved for in an essentially non-algebraic way. \
\\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", ButtonStyle->\\\"RefGuideLinkText\
\\\", ButtonFrame->None, ButtonData:>\\\"Solve::tdep\\\"]\\)\"\>"}]], \
"Message"],

Cell[BoxData[
    \(LieError::"Solve" \(\(:\)\(\ \)\) 
      "Solve no ofrece los resultados esperados"\)], "Message"],

Cell[BoxData[
    InterpretationBox["\<\"\"\>",
      ColumnForm[ {}],
      Editable->False]], "Output"]
}, Open  ]],

Cell[TextData[StyleBox["Itt a m\[OAcute]dszer nem alkalmazhat\[OAcute]. \
Amikor hattatjuk a hipotetikus -meghat\[AAcute]rozand\[OAcute]- infinitezim\
\[AAcute]lis gener\[AAcute]tor prolong\[AAcute]ci\[OAcute]j\[AAcute]t az \
egyenletre ott, ahol megold\[AAcute]sa van, akkor az integr\[AAcute]lnak \
mindenf\[EAcute]le v\[AAcute]ltoz\[OAcute]k szerinti deriv\[AAcute]ltjai \
jelennek meg, \[EAcute]s ezek lesznek a k\[EAcute]rd\[EAcute]ses egy\
\[UDoubleDot]tthat\[OAcute]kat szorz\[OAcute] faktorok. Itt egy meglehet\
\[ODoubleAcute]sen nehezen kezelhet\[ODoubleAcute] egyenletrendszert kellene \
megoldani. Ezzel a feladattal a program nem tud megbirk\[OAcute]zni. Nem \
lehet teh\[AAcute]t olyan probl\[EAcute]m\[AAcute]t vizsg\[AAcute]lni a \
YaLie-vel, amelyikben a differenci\[AAcute]legyenlet inhomogenit\[AAcute]s\
\[AAcute]t valamilyen integr\[AAcute]l okozza.",
  CellFrame->True,
  Background->GrayLevel[0.833326]]], "Text"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[
    StyleBox[\(VI . \ \[CapitalODoubleDot]sszefoglal\[AAcute]s\),
      "Subtitle"]], "Input"]], "Section"],

Cell["\<\
Jelen munk\[AAcute]nk sor\[AAcute]n a differenci\[AAcute]legyenletek \
szimmetria-vizsg\[AAcute]lat\[AAcute]nak sz\[AAcute]m\[IAcute]t\[OAcute]g\
\[EAcute]pes lehet\[ODoubleAcute]s\[EAcute]gei k\[ODoubleDot]z\[UDoubleDot]l \
mutattunk be egyet. A t\[EAcute]ma alapos megismer\[EAcute]s\[EAcute]hez sz\
\[UDoubleDot]ks\[EAcute]ges elm\[EAcute]leti h\[AAcute]tt\[EAcute]r tiszt\
\[AAcute]z\[AAcute]sa ut\[AAcute]n le\[IAcute]rtuk, hogyan m\[UDoubleAcute]k\
\[ODoubleDot]dik az \[AAcute]ltalunk haszn\[AAcute]lt YaLie programcsomag. Az \
alkalmaz\[AAcute]si lehet\[ODoubleAcute]s\[EAcute]gek demonstr\[AAcute]ci\
\[OAcute]ja \[EAcute]rdek\[EAcute]ben egy egyszer\[UDoubleAcute] p\[EAcute]ld\
\[AAcute]n kereszt\[UDoubleDot]l bemutattuk az alkalmazott technik\[AAcute]t, \
a gyakorlatban is v\[EAcute]gigk\[ODoubleDot]vetve az elm\[EAcute]leti r\
\[EAcute]szben v\[AAcute]zolt l\[EAcute]p\[EAcute]seket. A reaktorfizik\
\[AAcute]ban legfontosabb egyenletek k\[ODoubleDot]z\[UDoubleDot]l a k\
\[EAcute]tcsoport diff\[UAcute]zi\[OAcute]egyenlet \
szimmetriacsoportj\[AAcute]t meghat\[AAcute]roztuk az ismertetett \
m\[OAcute]don, majd az egycsoport transzportegyenlet kapcs\[AAcute]n \
bemutattuk, hogy milyen oper\[AAcute]torokat tartalmaz\[OAcute] egyenletek \
eset\[EAcute]n nem haszn\[AAcute]lhat\[OAcute] ez a technika.
Az ilyen \[EAcute]s ehhez hasonl\[OAcute] vizsg\[AAcute]latok \
k\[ODoubleDot]zponti jelent\[ODoubleAcute]s\[EAcute]g\[UDoubleAcute]ek a j\
\[ODoubleDot]v\[ODoubleAcute] numerikus m\[OAcute]dszereinek alkalmazhat\
\[OAcute]s\[AAcute]ga szempontj\[AAcute]b\[OAcute]l. Ha siker\[UDoubleDot]l \
megfelel\[ODoubleAcute] transzform\[AAcute]ci\[OAcute]kat tal\[AAcute]lni \
bonyolult, nehezen le\[IAcute]rhat\[OAcute] rendszerek \[EAcute]s \
bar\[AAcute]ts\[AAcute]gosabb, k\[ODoubleDot]nnyebben kezelhet\[ODoubleAcute] \
t\[AAcute]rsaik k\[ODoubleDot]z\[ODoubleDot]tt, akkor fizikai ismereteink \
kiterjeszt\[EAcute]s\[EAcute]nek \[UAcute]j t\[AAcute]vlatai ny\[IAcute]lnak \
meg. Ennek \[EAcute]rdek\[EAcute]ben minden olyan kutat\[AAcute]sra sz\
\[UDoubleDot]ks\[EAcute]g van, mely eddig ismeretlen kapcsolatokat \
t\[AAcute]r f\[ODoubleDot]l ak\[AAcute]r m\[EAcute]ret\[EAcute]ben, ak\
\[AAcute]r m\[AAcute]s geometriai tulajdons\[AAcute]g\[AAcute]ban k\
\[UDoubleDot]l\[ODoubleDot]nb\[ODoubleDot]z\[ODoubleAcute] rendszerek k\
\[ODoubleDot]z\[ODoubleDot]tt. A vil\[AAcute]g megismer\[EAcute]s\[EAcute]ben \
eddig el\[EAcute]rt eredm\[EAcute]nyek, az eddig megoldott egyenletek \
\[EAcute]s probl\[EAcute]m\[AAcute]k \[IAcute]gy az ismeretlennek egy \
\[UAcute]jabb szelet\[EAcute]t tehetik kezelhet\[ODoubleAcute]v\[EAcute] a \
kutat\[OAcute]k sz\[AAcute]m\[AAcute]ra.
P\[EAcute]ldak\[EAcute]nt eml\[IAcute]thet\[ODoubleAcute] az atomreaktorokban \
\[EAcute]rv\[EAcute]nyes reaktorfizikai vagy termohidraulikai egyenletek sk\
\[AAcute]l\[AAcute]z\[AAcute]s\[AAcute]nak k\[EAcute]rd\[EAcute]se, mely n\
\[EAcute]lk\[UDoubleDot]l a kicsiny\[IAcute]tett m\[EAcute]ret\[UDoubleAcute] \
k\[IAcute]s\[EAcute]rleti berendez\[EAcute]sekben m\[EAcute]rt adatok nem \
vonatkoztathat\[OAcute]k elvileg is helyes m\[OAcute]don a val\[OAcute]s m\
\[EAcute]ret\[UDoubleAcute] er\[ODoubleAcute]m\[UDoubleAcute]re.
Ebben, \[EAcute]s m\[EAcute]g sok m\[AAcute]s fontos probl\[EAcute]ma megold\
\[AAcute]s\[AAcute]ban v\[AAcute]rhatunk seg\[IAcute]ts\[EAcute]get a modern \
matematik\[AAcute]t\[OAcute]l, a modern Mathematic\[AAcute]t\[OAcute]l.

Felhaszn\[AAcute]lt irodalom:
[1] P. J. Olver: Applications of Lie Groups to Differential Equations, \
Springer-Verlag, New York, 1987
[2] J. M. D\[IAcute]az: Short Guide to YaLie, Wolfram Research, 2003
[3] Z. Szatm\[AAcute]ry: Bevezet\[EAcute]s a reaktorfizik\[AAcute]ba, Akad\
\[EAcute]miai Kiad\[OAcute], Budapest, 2000\
\>", "Text"]
}, Closed]]
}, Open  ]]
},
FrontEndVersion->"5.0 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 685}},
WindowSize->{975, 650},
WindowMargins->{{0, Automatic}, {0, Automatic}}
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1754, 51, 64, 0, 33, "Text"],

Cell[CellGroupData[{
Cell[1843, 55, 198, 4, 205, "Title"],

Cell[CellGroupData[{
Cell[2066, 63, 111, 2, 76, "Section"],
Cell[2180, 67, 3591, 52, 280, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[5808, 124, 171, 3, 46, "Section"],

Cell[CellGroupData[{
Cell[6004, 131, 46, 0, 38, "Subsection"],
Cell[6053, 133, 264, 5, 33, "Text"],
Cell[6320, 140, 2702, 46, 205, "Text"],
Cell[9025, 188, 137, 4, 33, "Text"],
Cell[9165, 194, 147, 4, 33, "Text"],
Cell[9315, 200, 419, 9, 52, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[9771, 214, 63, 0, 30, "Subsection"],
Cell[9837, 216, 225, 4, 33, "Text"],
Cell[10065, 222, 689, 23, 33, "Text"],
Cell[10757, 247, 466, 17, 33, "Text"],
Cell[11226, 266, 375, 12, 33, "Text"],
Cell[11604, 280, 406, 14, 33, "Text"],
Cell[12013, 296, 897, 25, 52, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[12947, 326, 74, 0, 30, "Subsection"],
Cell[13024, 328, 179, 5, 33, "Text"],
Cell[13206, 335, 460, 10, 52, "Text"],
Cell[13669, 347, 743, 13, 71, "Text"],
Cell[14415, 362, 374, 8, 52, "Text"],
Cell[14792, 372, 2381, 60, 144, "Text"],
Cell[17176, 434, 1530, 26, 166, "Text"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[18755, 466, 176, 4, 46, "Section"],
Cell[18934, 472, 2541, 41, 280, "Text"],
Cell[21478, 515, 995, 17, 128, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[22510, 537, 140, 2, 46, "Section"],

Cell[CellGroupData[{
Cell[22675, 543, 53, 0, 38, "Subsection"],
Cell[22731, 545, 617, 9, 52, "Text"],

Cell[CellGroupData[{
Cell[23373, 558, 288, 6, 90, "Input"],
Cell[23664, 566, 88, 1, 25, "Print"],
Cell[23755, 569, 88, 1, 25, "Print"],
Cell[23846, 572, 88, 1, 25, "Print"],
Cell[23937, 575, 88, 1, 25, "Print"],
Cell[24028, 578, 88, 1, 25, "Print"],
Cell[24119, 581, 98, 2, 25, "Print"],
Cell[24220, 585, 98, 2, 25, "Print"],
Cell[24321, 589, 98, 2, 25, "Print"],
Cell[24422, 593, 88, 1, 25, "Print"],
Cell[24513, 596, 88, 1, 25, "Print"],
Cell[24604, 599, 88, 1, 25, "Print"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{
Cell[24741, 606, 89, 1, 30, "Subsection"],

Cell[CellGroupData[{
Cell[24855, 611, 163, 3, 30, "Input"],
Cell[25021, 616, 357, 11, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[25415, 632, 230, 3, 30, "Input"],
Cell[25648, 637, 10756, 293, 200, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[36441, 935, 336, 6, 50, "Input"],
Cell[36780, 943, 410, 12, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[37227, 960, 274, 4, 30, "Input"],
Cell[37504, 966, 10008, 271, 181, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[47549, 1242, 524, 9, 70, "Input"],
Cell[48076, 1253, 575, 17, 25, "Print"],
Cell[48654, 1272, 3621, 98, 86, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[52312, 1375, 261, 4, 30, "Input"],
Cell[52576, 1381, 3726, 108, 143, "Output"]
}, Open  ]],
Cell[56317, 1492, 348, 6, 52, "Text"],
Cell[56668, 1500, 88, 1, 33, "Text"],

Cell[CellGroupData[{
Cell[56781, 1505, 454, 8, 70, "Input"],
Cell[57238, 1515, 3059, 88, 133, "Output"]
}, Open  ]],
Cell[60312, 1606, 84, 1, 33, "Text"],

Cell[CellGroupData[{
Cell[60421, 1611, 602, 14, 70, "Input"],
Cell[61026, 1627, 2386, 68, 136, "Output"]
}, Open  ]],
Cell[63427, 1698, 75, 0, 33, "Text"],

Cell[CellGroupData[{
Cell[63527, 1702, 458, 7, 71, "Input"],
Cell[63988, 1711, 3735, 101, 142, "Output"]
}, Open  ]],
Cell[67738, 1815, 1227, 28, 112, "Text"],
Cell[68968, 1845, 974, 23, 91, "Text"],
Cell[69945, 1870, 907, 27, 162, "Text"],
Cell[70855, 1899, 586, 8, 52, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[71478, 1912, 39, 0, 30, "Subsection"],

Cell[CellGroupData[{
Cell[71542, 1916, 433, 8, 110, "Input"],
Cell[71978, 1926, 575, 17, 25, "Print"],
Cell[72556, 1945, 4441, 129, 143, "Output"]
}, Open  ]],
Cell[77012, 2077, 412, 7, 52, "Text"],

Cell[CellGroupData[{
Cell[77449, 2088, 298, 5, 70, "Input"],
Cell[77750, 2095, 575, 17, 25, "Print"],
Cell[78328, 2114, 3458, 97, 133, "Output"]
}, Open  ]],
Cell[81801, 2214, 364, 6, 33, "Text"],

Cell[CellGroupData[{
Cell[82190, 2224, 390, 7, 72, "Input"],
Cell[82583, 2233, 575, 17, 25, "Print"],
Cell[83161, 2252, 590, 15, 29, "Output"]
}, Open  ]],
Cell[83766, 2270, 500, 13, 52, "Text"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[84315, 2289, 120, 2, 46, "Section"],

Cell[CellGroupData[{
Cell[84460, 2295, 76, 0, 38, "Subsection"],
Cell[84539, 2297, 722, 11, 71, "Text"],

Cell[CellGroupData[{
Cell[85286, 2312, 1338, 32, 150, "Input"],
Cell[86627, 2346, 1607, 47, 25, "Print"],
Cell[88237, 2395, 1607, 47, 25, "Print"],
Cell[89847, 2444, 16606, 453, 390, "Output"]
}, Open  ]],
Cell[106468, 2900, 964, 32, 33, "Text"],

Cell[CellGroupData[{
Cell[107457, 2936, 525, 11, 70, "Input"],
Cell[107985, 2949, 1607, 47, 25, "Print"],
Cell[109595, 2998, 1607, 47, 25, "Print"],
Cell[111205, 3047, 13887, 384, 368, "Output"]
}, Open  ]],
Cell[125107, 3434, 2542, 66, 121, "Text"],

Cell[CellGroupData[{
Cell[127674, 3504, 558, 11, 90, "Input"],
Cell[128235, 3517, 1607, 47, 25, "Print"],
Cell[129845, 3566, 1607, 47, 25, "Print"],
Cell[131455, 3615, 3648, 110, 338, "Output"]
}, Open  ]],
Cell[135118, 3728, 1589, 39, 209, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[136744, 3772, 54, 0, 30, "Subsection"],

Cell[CellGroupData[{
Cell[136823, 3776, 53, 0, 29, "Subsubsection"],
Cell[136879, 3778, 1116, 17, 90, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[138032, 3800, 65, 0, 23, "Subsubsection"],

Cell[CellGroupData[{
Cell[138122, 3804, 461, 7, 110, "Input"],
Cell[138586, 3813, 457, 14, 25, "Print"],
Cell[139046, 3829, 3291, 87, 105, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[142374, 3921, 337, 7, 70, "Input"],
Cell[142714, 3930, 457, 14, 25, "Print"],
Cell[143174, 3946, 2021, 53, 98, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[145232, 4004, 396, 8, 96, "Input"],
Cell[145631, 4014, 457, 14, 25, "Print"],
Cell[146091, 4030, 1433, 38, 95, "Output"]
}, Open  ]],
Cell[147539, 4071, 171, 3, 33, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[147747, 4079, 65, 0, 23, "Subsubsection"],

Cell[CellGroupData[{
Cell[147837, 4083, 714, 14, 110, "Input"],
Cell[148554, 4099, 979, 26, 25, "Print"],
Cell[149536, 4127, 9716, 230, 181, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[159289, 4362, 540, 11, 70, "Input"],
Cell[159832, 4375, 979, 26, 25, "Print"],
Cell[160814, 4403, 7461, 172, 171, "Output"]
}, Open  ]],
Cell[168290, 4578, 216, 3, 33, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[168543, 4586, 67, 0, 23, "Subsubsection"],

Cell[CellGroupData[{
Cell[168635, 4590, 643, 11, 143, "Input"],
Cell[169281, 4603, 332, 5, 22, "Message"],
Cell[169616, 4610, 118, 2, 22, "Message"],
Cell[169737, 4614, 105, 3, 29, "Output"]
}, Open  ]],
Cell[169857, 4620, 936, 13, 90, "Text"]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{
Cell[170854, 4640, 135, 2, 46, "Section"],
Cell[170992, 4644, 3794, 55, 337, "Text"]
}, Closed]]
}, Open  ]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

